<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">

<xsl:template name="MODULES-HEAD-EDIT">
<script type='text/javascript' language='javascript'>
alert_str_array = new Array();
alert_str_array['admin_login_empty'] = '<xsl:value-of select="//LEGEND/ALERT_ADMIN_LOGIN_EMPTY"/>';
alert_str_array['admin_password_empty'] = '<xsl:value-of select="//LEGEND/ALERT_ADMIN_PASSWORD_EMPTY"/>';
alert_str_array['admin_password_confirmation_empty'] = '<xsl:value-of select="//LEGEND/ALERT_ADMIN_PASSWORD_CONFIRMATION_EMPTY"/>';
alert_str_array['admin_password_not_equal_confirmation'] = '<xsl:value-of select="//LEGEND/ALERT_ADMIN_PASSWORD_NOT_EQUAL_CONFIRMATION"/>';
alert_str_array['image_preview_height_is_not_valid'] = '<xsl:value-of select="//LEGEND/ALERT_IMAGE_PREVIEW_HEIGHT_IS_NOT_VALID"/>';
alert_str_array['image_preview_width_is_not_valid'] = '<xsl:value-of select="//LEGEND/ALERT_IMAGE_PREVIEW_WIDTH_IS_NOT_VALID"/>';
alert_str_array['category_image_preview_height_is_not_valid'] = '<xsl:value-of select="//LEGEND/ALERT_CATEGORY_IMAGE_PREVIEW_HEIGHT_IS_NOT_VALID"/>';
alert_str_array['category_image_preview_width_is_not_valid'] = '<xsl:value-of select="//LEGEND/ALERT_CATEGORY_IMAGE_PREVIEW_WIDTH_IS_NOT_VALID"/>';
alert_str_array['monetary_unit_empty'] = '<xsl:value-of select="//LEGEND/ALERT_MONETARY_UNIT_EMPTY"/>';
alert_str_array['image_not_supported'] = '<xsl:value-of select="//LEGEND/ALERT_IMAGENOTSUPP"/>';
alert_str_array['product_name_empty'] = '<xsl:value-of select="//LEGEND/ALERT_PRODUCT_NAME_EMPTY"/>';
alert_str_array['product_price_empty'] = '<xsl:value-of select="//LEGEND/ALERT_PRODUCT_PRICE_EMPTY"/>';
alert_str_array['product_price_not_valid'] = '<xsl:value-of select="//LEGEND/ALERT_PRODUCT_PRICE_NOT_VALID"/>';
alert_str_array['select_products_to_be_removed'] = '<xsl:value-of select="//LEGEND/ALERT_SELECT_PRODUCTS_TO_BE_REMOVED"/>';
alert_str_array['confirm_delete_products'] = '<xsl:value-of select="//LEGEND/ALERT_CONFIRM_DELETE_PRODUCTS"/>';
alert_str_array['category_name_empty'] = '<xsl:value-of select="//LEGEND/ALERT_CATEGORY_NAME_EMPTY"/>';
alert_str_array['select_categories_to_be_removed'] = '<xsl:value-of select="//LEGEND/ALERT_SELECT_CATEGORIES_TO_BE_REMOVED"/>';
alert_str_array['confirm_delete_categories'] = '<xsl:value-of select="//LEGEND/ALERT_CONFIRM_DELETE_CATEGORIES"/>';
alert_str_array['admin_password_can_not_be_shorter_6_symbols'] = '<xsl:value-of select="//LEGEND/ALERT_ADMIN_PASSWORD_CAN_NOT_BE_SHORTER_THAN_6_SYMBOLS"/>';
alert_str_array['admin_password_includes_not_valid_symbol'] = '<xsl:value-of select="//LEGEND/ALERT_ADMIN_PASSWORD_INCLUDES_NOT_VALID_SYMBOL"/>';
alert_str_array['admin_login_includes_not_valid_symbol'] = '<xsl:value-of select="//LEGEND/ALERT_ADMIN_LOGIN_INCLUDES_NOT_VALID_SYMBOL"/>';
alert_str_array['select_products_with_images_to_be_removed'] = '<xsl:value-of select="//LEGEND/ALERT_SELECT_PRODUCTS_WITH_IMAGES_TO_BE_REMOVED"/>';
alert_str_array['select_categories_with_images_to_be_removed'] = '<xsl:value-of select="//LEGEND/ALERT_SELECT_CATEGORIES_WITH_IMAGES_TO_BE_REMOVED"/>';
alert_str_array['confirm_delete_images'] = '<xsl:value-of select="//LEGEND/ALERT_CONFIRM_DELETE_IMAGES"/>';
alert_str_array['select_users_to_be_removed'] = '<xsl:value-of select="//LEGEND/ALERT_SELECT_USERS_TO_BE_REMOVED"/>';
alert_str_array['confirm_delete_users'] = '<xsl:value-of select="//LEGEND/ALERT_CONFIRM_DELETE_USERS"/>';
alert_str_array['firstname_empty'] = '<xsl:value-of select="//LEGEND/ALERT_ENTER_FIRSTNAME"/>';
alert_str_array['lastname_empty'] = '<xsl:value-of select="//LEGEND/ALERT_ENTER_LASTNAME"/>';
alert_str_array['phone_empty'] = '<xsl:value-of select="//LEGEND/ALERT_ENTER_PHONE"/>';
alert_str_array['email_empty'] = '<xsl:value-of select="//LEGEND/ALERT_ENTER_EMAIL"/>';
alert_str_array['login_empty'] = '<xsl:value-of select="//LEGEND/ALERT_ENTER_LOGIN"/>';
alert_str_array['password_empty'] = '<xsl:value-of select="//LEGEND/ALERT_ENTER_PASSWORD"/>';
alert_str_array['password_confirmation_empty'] = '<xsl:value-of select="//LEGEND/ALERT_ENTER_PASSWORD_CONFIRMATION"/>';
alert_str_array['password_not_equal_confirmation'] = '<xsl:value-of select="//LEGEND/ALERT_ENTER_PASSWORD_EQUAL_CONFIRMATION"/>';
alert_str_array['address_empty'] = '<xsl:value-of select="//LEGEND/ALERT_ENTER_ADDRESS"/>';
alert_str_array['country_empty'] = '<xsl:value-of select="//LEGEND/ALERT_ENTER_COUNTRY"/>';
alert_str_array['zip_empty'] = '<xsl:value-of select="//LEGEND/ALERT_ENTER_ZIP"/>';
alert_str_array['phone_not_valid'] = '<xsl:value-of select="//LEGEND/ALERT_ENTER_VALID_PHONE"/>';
alert_str_array['zip_not_valid'] = '<xsl:value-of select="//LEGEND/ALERT_ENTER_VALID_ZIP"/>';
alert_str_array['email_not_valid'] = '<xsl:value-of select="//LEGEND/ALERT_ENTER_VALID_EMAIL"/>';
alert_str_array['password_not_valid'] = '<xsl:value-of select="//LEGEND/ALERT_PASSWORD_NOT_VALID"/>';
alert_str_array['password_confirmation_not_valid'] = '<xsl:value-of select="//LEGEND/ALERT_PASSWORD_CONFIRMATION_NOT_VALID"/>';
alert_str_array['login_included_not_valid_symbol'] = '<xsl:value-of select="//LEGEND/ALERT_LOGIN_INCLUDED_NOT_VALID_SYMBOL"/>';
alert_str_array['password_can_not_be_shorter_6_symbols'] = '<xsl:value-of select="//LEGEND/ALERT_PASSWORD_CAN_NOT_BE_SHORTER_6_SYMBOLS"/>';
alert_str_array['password_includes_not_valid_symbol'] = '<xsl:value-of select="//LEGEND/ALERT_PASSWORD_INCLUDES_NOT_VALID_SYMBOL"/>';
alert_str_array['select_orders_to_be_removed'] = '<xsl:value-of select="//LEGEND/ALERT_SELECT_ORDERS_TO_BE_REMOVED"/>';
alert_str_array['confirm_delete_orders'] = '<xsl:value-of select="//LEGEND/ALERT_CONFIRM_DELETE_ORDERS"/>';
alert_str_array['from_email_not_valid'] = '<xsl:value-of select="//LEGEND/ALERT_FROM_EMAIL_NOT_VALID"/>';
alert_str_array['products_per_page_is_not_valid'] = '<xsl:value-of select="//LEGEND/ALERT_PRODUCTS_PER_PAGE_IS_NOT_VALID"/>';
alert_str_array['categories_per_page_is_not_valid'] = '<xsl:value-of select="//LEGEND/ALERT_CATEGORIES_PER_PAGE_IS_NOT_VALID"/>';
alert_str_array['search_string_empty'] = '<xsl:value-of select="//LEGEND/ALERT_SEARCH_STRING_EMPTY"/>';
alert_str_array['paypal_email_not_valid'] = '<xsl:value-of select="//LEGEND/ALERT_PAYPAL_EMAIL_NOT_VALID"/>';
alert_str_array['paypal_handling_not_valid'] = '<xsl:value-of select="//LEGEND/ALERT_PAYPAL_HANDLING_NOT_VALID"/>';
alert_str_array['paypal_shipping_not_valid'] = '<xsl:value-of select="//LEGEND/ALERT_PAYPAL_SHIPPING_NOT_VALID"/>';
alert_str_array['paypal_shipping2_not_valid'] = '<xsl:value-of select="//LEGEND/ALERT_PAYPAL_SHIPPING2_NOT_VALID"/>';
alert_str_array['paypal_tax_not_valid'] = '<xsl:value-of select="//LEGEND/ALERT_PAYPAL_TAX_NOT_VALID"/>';
</script>
<script type='text/javascript' language='javascript' src='{$baseURL}/modules/{$SB_modules}/js/shop.js'></script>
<script type='text/javascript' language='javascript' src='{$baseURL}/js/validator.js'></script>
</xsl:template>

<xsl:template name="MODULES-FIRST-TAG-EDIT">
</xsl:template>

<xsl:template name="MODULES-BODY-EDIT">

<xsl:for-each select="/*/CONTENT-AREA/REPCSS">
<style type="text/css">@import url(<xsl:value-of select="$baseURL"/><xsl:apply-templates select="/*/CONTENT-AREA/BASEURL"/><xsl:value-of select="@NAME"/>);</style>
</xsl:for-each>
<style type="text/css">@import url(<xsl:value-of select="$baseURL"/>/modules/<xsl:value-of select="$SB_modules"/>/style.css);</style>
<style type="text/css">@import url(<xsl:value-of select="$baseURL" />/skins/<xsl:value-of select="$sb_skin" />/module_wysiwyg.css);</style>
<xsl:apply-templates select="//SHOPEDITOR"/>

<script language="javascript">
<xsl:apply-templates select="//JavaShop"/>
</script>
</xsl:template>

<xsl:template match="SHOPEDITOR">
<table cellpadding="0" cellspacing="10" width="100%">
<tr>
<td>
<xsl:apply-templates select="GUI-TABPANEL"/>
</td>
</tr>
</table>
</xsl:template>

<xsl:template match="PREVIEW_T">
	<link rel="stylesheet" type="text/css">
		<xsl:attribute name="href"><xsl:value-of select="$baseURL"/><xsl:apply-templates select="/*/CONTENT-AREA/BASEURL"/>css/styles.css</xsl:attribute>	
	</link>
<div id="m_shop_div" name="m_shop_div" class="ModulePageDiv">
</div>
<script type="text/javascript" language="javascript">
    var mascss = new Array();
    <xsl:for-each select="/*/CONTENT-AREA/REPCSS">
        mascss[<xsl:value-of select="@ID"/>] = '<xsl:value-of select="@NAME"/>';
        i=<xsl:value-of select="@ID"/>;
    </xsl:for-each>
    var masimg = new Array();
    <xsl:for-each select="/*/CONTENT-AREA/REPIMG">
        masimg[<xsl:value-of select="@ID"/>] = '<xsl:value-of select="@NAME"/>';
        i=<xsl:value-of select="@ID"/>;
    </xsl:for-each>
    doPreviewModulesBild('<xsl:apply-templates select="//CONTA" />','<xsl:apply-templates select="//CONTV" />', __base__URL+'<xsl:apply-templates select="/*/CONTENT-AREA/BASEURL"/>', mascss, masimg);
</script>
</xsl:template>

<xsl:template match="GUI-FORM[@TYPE='user_form']">
    <table cellpadding="0" cellspacing="0" width="100%" valign="top" border="0"  align="center" >
    	<form method="post"> 
    		<xsl:apply-templates select="GUI-FORM-ATTRIBUTE"/>
    		<xsl:call-template name="AUTOCOMPLETE"/> 		      
            <xsl:apply-templates select="GUI-CONTROL[@MODE='HIDDEN']"/>
       		<tr><td class="SB_DIALOG_FORM">
    		  <div id="user_form" style="background-color: #ffffff; width:100%;overflow:auto;">
               		<table cellpadding="0" cellspacing="0" width="100%" valign="top" border="0" align="center" >
                    		<xsl:apply-templates select="GUI-CONTROL[@MODE!='BUTTON' and @MODE!='HIDDEN']|GUI-MULTYINPUT"/>
        		</table>
        	   </div> 	
    		</td></tr>
    		<tr><xsl:apply-templates select="GUI-FORM-CONTENT"/></tr>
			<xsl:if test="GUI-CONTROL[@MODE='BUTTON']|GUI-BUTTONS-LIST">
    		<tr>
    			<td align="right">
    			<div style="width:0px; height:10px;"><spacer type="block" width="0" height="10" /></div>
    			<xsl:apply-templates select="GUI-CONTROL[@MODE='BUTTON']|GUI-BUTTONS-LIST"/></td>
    		</tr>
			</xsl:if>
    	</form>
    </table>
    <script language="javascript">ResizeUserForm();</script>
</xsl:template>

<xsl:template match="GUI-FORM[@TYPE='order_form']">
<form> 
<xsl:apply-templates select="GUI-FORM-ATTRIBUTE"/>
<xsl:apply-templates select="GUI-CONTROL[@MODE='HIDDEN']"/>
    <table cellpadding="0" cellspacing="0" width="99%" valign="top" border="0"  align="center">
    <xsl:call-template name="AUTOCOMPLETE"/> 		      
        <tr>
            <td class="SB_DIALOG_FORM">
                <xsl:call-template name="ORDER_STATUS_SELECT"/>
    		</td>
    	</tr>
    	<tr>
            <td class="SB_DIALOG_FORM">
                <xsl:call-template name="ORDER_USER_CARD"/>
    		</td>
    	</tr>
    	<xsl:apply-templates select="GUI-FORM-CONTENT/SECTION_3/GUI-LIST"/>
    </table>
</form>
</xsl:template>

<xsl:template name="ORDER_STATUS_SELECT">
<table cellpadding="0" cellspacing="1" width="100%" valign="top" border="0" align="center" >
        <tr><td colspan="3">
        	<div style="padding-bottom: 3px;"><b><xsl:value-of select="GUI-FORM-CONTENT/SECTION_1/GUI-MULTYINPUT/GUI-MULTYINPUT-ATTRIBUTE[@NAME='MULTY-TITLE-TOP']"/></b></div>
        </td></tr>  
        <tr>
              <td width="90%"><xsl:apply-templates select="GUI-FORM-CONTENT/SECTION_1/GUI-MULTYINPUT/GUI-CONTROL[@MODE='SELECT']" mode='alone'/></td>
              <td class="SB_Style_fieldname" nowrap="nowrap" align="right" width="10px">&#160;</td>
		      <td><xsl:apply-templates select="GUI-FORM-CONTENT/SECTION_1/GUI-MULTYINPUT/GUI-BUTTONS-LIST"/></td>
		</tr>
		<xsl:call-template name="SHIFT"/>
</table>
</xsl:template>

<xsl:template name="ORDER_USER_CARD">
<table cellpadding="0" cellspacing="1" width="100%" valign="top" border="0" align="center" >
    <xsl:apply-templates select="GUI-FORM-CONTENT/SECTION_2/GUI-MULTYINPUT"/>
    <xsl:call-template name="SHIFT"/>
</table>
</xsl:template>

</xsl:stylesheet>