<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:fo="http://www.w3.org/1999/XSL/Format">

<xsl:template match="HEAD_NAV">
<table width="100%" cellpadding="0" cellspacing="0">
<tr>
<xsl:apply-templates select="WELCOME"/>
<td width="100%" align="right">
<xsl:for-each select="LINK">
<xsl:apply-templates select="."/>
<xsl:if test="position()!=last()">&#160;</xsl:if>
</xsl:for-each>
</td></tr>
</table>    
</xsl:template>

<xsl:template match="BOTTOM_NAV">
<table width="100%" cellpadding="0" cellspacing="0">
<tr><td style="text-align: left;"> 
<xsl:apply-templates select="LINK"/>
</td>
</tr>
</table>
</xsl:template>

<xsl:template match="LINK">
<a class="pageContent">
<xsl:attribute name="href"><xsl:value-of select="@HREF"/></xsl:attribute>
<xsl:value-of select="NAME"/>
</a>
</xsl:template>

<xsl:template match="WELCOME">
<td nobr="nobr" class="pageContent" width="40%">
<b><xsl:value-of select="@TITLE"/>, <xsl:value-of select="."/>!</b>
</td>
</xsl:template>

</xsl:stylesheet>
