<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:fo="http://www.w3.org/1999/XSL/Format">

<xsl:template match="PAGE-STRIP">
<table cellspacing="0" cellpadding="0" border="0" width="100%">
<tr>
<td width="1%" nowrap="nowrap" valign="middle" class="pageContent"  style="padding-left:5px; padding-right:10px;"><xsl:value-of select="BRS"/></td>
<td width="1%" nowrap="nowrap"><img src="empty.gif" width="5" border="0"/></td>
<td width="1%" nowrap="nowrap" class="pageContent"><xsl:apply-templates select="FIRST-PAGE"  mode="page-strip"/></td>
<td width="1%" nowrap="nowrap"><img src="empty.gif" width="5" border="0"/></td>
<td width="93%" nowrap="nowrap" height="22px" valign="middle" class="pageContent" align="center">
<xsl:apply-templates select="PREV-PAGE-SET" mode="page-strip"/>
<xsl:apply-templates select="PAGE" mode="page-strip"/>
<xsl:apply-templates select="NEXT-PAGE-SET" mode="page-strip"/>
</td>
<td width="1%" nowrap="nowrap"><img src="empty.gif" width="5" border="0"/></td>
<td width="1%" nowrap="nowrap" class="pageContent"><xsl:apply-templates select="LAST-PAGE"  mode="page-strip"/></td>
<td width="1%" nowrap="nowrap"><img src="empty.gif" width="5" border="0"/></td>
</tr>
</table>
</xsl:template>
<!--
/////
-->
<xsl:template match="PREV-PAGE-SET" mode="page-strip">
<xsl:choose>
<xsl:when test="@URL"><a href="{@URL}" class="pageContent" >&lt;&lt;</a>&#160;</xsl:when>
<xsl:otherwise></xsl:otherwise>
</xsl:choose>
</xsl:template>
<!--
/////
-->
<xsl:template match="PREV-PAGE" mode="page-strip">
<xsl:choose>
<xsl:when test="@URL"><a href="{@URL}" class="pageContent" >&lt;</a>&#160;</xsl:when>
<xsl:otherwise></xsl:otherwise>
</xsl:choose>
</xsl:template>
<!--
/////
-->
<xsl:template match="NEXT-PAGE-SET" mode="page-strip">
<xsl:choose>
<xsl:when test="@URL"><a href="{@URL}" class="pageContent" >&gt;&gt;</a>&#160;</xsl:when>
<xsl:otherwise></xsl:otherwise>
</xsl:choose>
</xsl:template>
<!--
/////
-->
<xsl:template match="NEXT-PAGE" mode="page-strip">
<xsl:choose>
<xsl:when test="@URL"><a href="{@URL}" class="pageContent" >&gt;</a>&#160;</xsl:when>
<xsl:otherwise></xsl:otherwise>
</xsl:choose>
</xsl:template>
<!--
/////
-->
<xsl:template match="FIRST-PAGE|LAST-PAGE" mode="page-strip">
<xsl:choose>
<xsl:when test="@URL">&#160;<a href="{@URL}" class="pageContent" ><xsl:value-of select="@CAPTION"/></a>&#160;</xsl:when>
<xsl:otherwise></xsl:otherwise>
</xsl:choose>
</xsl:template>
<!--
/////
-->
<xsl:template match="PAGE" mode="page-strip">
<xsl:choose>
<xsl:when test="@CURRENT='true'"><b><xsl:value-of select="."/></b></xsl:when>
<xsl:otherwise><a href="{@URL}" class="pageContent" ><xsl:value-of select="."/></a></xsl:otherwise>
</xsl:choose>&#160;
</xsl:template>

</xsl:stylesheet>
