<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">

<xsl:template match="CATEGORYLIST_T">
<div id="category_area" name="category_area" style="background-color: #ffffff; border-width: 1px; width: 100%; overflow:auto;">
<table width="100%" cellspacing='0' cellpadding='0' border="0">
<xsl:if test="//CATEGORYLIST/CATEGORYAMOUNT/@VALUE > 0 or string(//CATEGORYLIST/SEARCH/.)!=''">
<tr>
<td width="100%" >
<table width="100%" cellspacing='0' cellpadding='0' border="0">
<tr>
<td width="99%" style="padding-right:10px;">
<input type='text' name='search' style="width: 100%;" class='modules_formfield'>
<xsl:attribute name='value'><xsl:value-of select="//CATEGORYLIST/SEARCH" /></xsl:attribute>
<xsl:attribute name='onkeypress'>document.forms[0].doSearch.value="0"; if (event.keyCode==13) {if (!isEmpty(document.forms[0].search.value)) {dc(1);document.forms[0].shop_topic.value="category_list";document.forms[0].doSearch.value="1";document.forms[0].submit();}}</xsl:attribute>
</input>
</td>
<td width="1%" style="padding-right:10px;">
<xsl:call-template name="drawButton">
<xsl:with-param name="onClick">if (!isEmpty(document.forms[0].search.value)) {dc(1);document.forms[0].shop_topic.value="category_list";document.forms[0].doSearch.value="1";document.forms[0].noSearch.value="0";document.forms[0].submit();}</xsl:with-param>
<xsl:with-param name="caption" select='//LEGEND/SEARCH'/>
</xsl:call-template>
</td>
<td width="1%">
<xsl:call-template name="drawButton">
<xsl:with-param name="onClick">dc(1);document.forms[0].shop_topic.value="category_list";document.forms[0].doSearch.value="1";document.forms[0].search.value="";document.forms[0].noSearch.value="0";document.forms[0].submit();</xsl:with-param>
<xsl:with-param name="caption" select='//CATEGORYLIST/LEGEND/SHOWALLCATEGORIES'/>
</xsl:call-template>
</td>
</tr>
</table>
</td>
</tr>
<xsl:if test="//CATEGORYLIST/DOSEARCH!='' and //CATEGORYLIST/NOSEARCH!='1' and string(//CATEGORYLIST/SEARCH)!=''">
<tr><td width="100%" height="10"><img src="{$baseURL}/modules/{$SB_modules}/images/empty.gif" width="1" height="10" border="0"/></td></tr>
<tr><td><span class="strong"><xsl:value-of select="//CATEGORYLIST/LEGEND/SEARCH_RESULT" />:&#160;</span>
<xsl:if test="//CATEGORYLIST/CATEGORYAMOUNT/@VALUE = 0"><xsl:value-of select="//CATEGORYLIST/LEGEND/NOCATEGORIES" /></xsl:if>
<xsl:if test="//CATEGORYLIST/TOTAL > 0"><xsl:value-of select="//CATEGORYLIST/LEGEND/FOUND"/>&#160;<span class="strong"><xsl:value-of select="//CATEGORYLIST/TOTAL"/></span>&#160;<xsl:value-of select="//CATEGORYLIST/LEGEND/ITEMS"/></xsl:if>
</td></tr>
</xsl:if>
<tr><td width="100%" height="10"><img src="{$baseURL}/modules/{$SB_modules}/images/empty.gif" width="1" height="10" border="0"/></td></tr>
<xsl:if test="//CATEGORYLIST/CATEGORYAMOUNT/@VALUE > 0">
<tr>
<td width="100%">
<table cellspacing='0' cellpadding='0' width="100%" border="0">
<tr>
<td class="Shop_Style_formfieldcolorfirst" style="width: 54%;">
<a>
<xsl:attribute name='onclick'>
dc(1);
document.forms[0].shop_topic.value="category_list";
document.forms[0].order_by.value="name";
<xsl:if test="//CATEGORYLIST/ORDER_BY='name'">
<xsl:if test="//CATEGORYLIST/ORDER_DIRECTION=''">document.forms[0].order_direction.value="desc";</xsl:if>
<xsl:if test="//CATEGORYLIST/ORDER_DIRECTION='asc'">document.forms[0].order_direction.value="desc";</xsl:if>
<xsl:if test="//CATEGORYLIST/ORDER_DIRECTION='desc'">document.forms[0].order_direction.value="asc";</xsl:if>
</xsl:if>
document.forms[0].submit();
</xsl:attribute>
<xsl:attribute name="title">
<xsl:if test="//CATEGORYLIST/ORDER_BY='name'">
<xsl:if test="//CATEGORYLIST/ORDER_DIRECTION='asc'"><xsl:value-of select="//CATEGORYLIST/LEGEND/SORT_IN_DESCENDING_ORDER"/></xsl:if>
<xsl:if test="//CATEGORYLIST/ORDER_DIRECTION='desc'"><xsl:value-of select="//CATEGORYLIST/LEGEND/SORT_IN_ASCENDING_ORDER"/></xsl:if>
</xsl:if>
</xsl:attribute>
<xsl:if test="//CATEGORYLIST/ORDER_BY='name'"><xsl:attribute name="style">font-weight: bold;</xsl:attribute></xsl:if>
<xsl:value-of select="//CATEGORYLIST/LEGEND/CATEGORYNAME"/>
<xsl:if test="//CATEGORYLIST/ORDER_BY='name'">
<xsl:if test="//CATEGORYLIST/ORDER_DIRECTION='asc'"><img align="texttop" vspace="3" hspace="5" border="0" src="{$baseURL}/modules/{$SB_modules}/images/dlg_sort_down.gif" width="8" height="8"><xsl:attribute name="alt"><xsl:value-of select="//CATEGORYLIST/LEGEND/SORT_IN_DESCENDING_ORDER"/></xsl:attribute></img></xsl:if>
<xsl:if test="//CATEGORYLIST/ORDER_DIRECTION='desc'"><img align="texttop" vspace="3" hspace="5" border="0" src="{$baseURL}/modules/{$SB_modules}/images/dlg_sort_up.gif" width="8" height="8"><xsl:attribute name="alt"><xsl:value-of select="//CATEGORYLIST/LEGEND/SORT_IN_ASCENDING_ORDER"/></xsl:attribute></img></xsl:if>
</xsl:if>
</a>
</td>
<td class="Shop_Style_formfieldcolorfirst" style="width: 20%;" align="right">
<a>
<xsl:attribute name='onclick'>
dc(1);
document.forms[0].shop_topic.value="category_list";
document.forms[0].order_by.value="product_count";
<xsl:if test="//CATEGORYLIST/ORDER_BY='product_count'">
<xsl:if test="//CATEGORYLIST/ORDER_DIRECTION=''">document.forms[0].order_direction.value="desc";</xsl:if>
<xsl:if test="//CATEGORYLIST/ORDER_DIRECTION='asc'">document.forms[0].order_direction.value="desc";</xsl:if>
<xsl:if test="//CATEGORYLIST/ORDER_DIRECTION='desc'">document.forms[0].order_direction.value="asc";</xsl:if>
</xsl:if>
document.forms[0].submit();
</xsl:attribute>
<xsl:attribute name="title">
<xsl:if test="//CATEGORYLIST/ORDER_BY='product_count'">
<xsl:if test="//CATEGORYLIST/ORDER_DIRECTION='asc'"><xsl:value-of select="//CATEGORYLIST/LEGEND/SORT_IN_DESCENDING_ORDER"/></xsl:if>
<xsl:if test="//CATEGORYLIST/ORDER_DIRECTION='desc'"><xsl:value-of select="//CATEGORYLIST/LEGEND/SORT_IN_ASCENDING_ORDER"/></xsl:if>
</xsl:if>
</xsl:attribute>
<xsl:if test="//CATEGORYLIST/ORDER_BY='product_count'"><xsl:attribute name="style">font-weight: bold;</xsl:attribute></xsl:if>
<xsl:value-of select="//CATEGORYLIST/LEGEND/NUMBEROFPRODUCTS"/>
<xsl:if test="//CATEGORYLIST/ORDER_BY='product_count'">
<xsl:if test="//CATEGORYLIST/ORDER_DIRECTION='asc'"><img align="texttop" vspace="3" hspace="5" border="0" src="{$baseURL}/modules/{$SB_modules}/images/dlg_sort_down.gif" width="8" height="8"><xsl:attribute name="alt"><xsl:value-of select="//CATEGORYLIST/LEGEND/SORT_IN_DESCENDING_ORDER"/></xsl:attribute></img></xsl:if>
<xsl:if test="//CATEGORYLIST/ORDER_DIRECTION='desc'"><img align="texttop" vspace="3" hspace="5" border="0" src="{$baseURL}/modules/{$SB_modules}/images/dlg_sort_up.gif" width="8" height="8"><xsl:attribute name="alt"><xsl:value-of select="//CATEGORYLIST/LEGEND/SORT_IN_ASCENDING_ORDER"/></xsl:attribute></img></xsl:if>
</xsl:if>
</a>
</td>
<td class="Shop_Style_formfieldcolorfirst" style="width: 15%;padding-right:10px;"  align="right"  nowrap="nowrap">
<nobr>
<a>
<xsl:attribute name='onclick'>
dc(1);
document.forms[0].shop_topic.value="category_list";
document.forms[0].order_by.value="image_id";
<xsl:if test="//CATEGORYLIST/ORDER_BY='image_id'">
<xsl:if test="//CATEGORYLIST/ORDER_DIRECTION=''">document.forms[0].order_direction.value="desc";</xsl:if>
<xsl:if test="//CATEGORYLIST/ORDER_DIRECTION='asc'">document.forms[0].order_direction.value="desc";</xsl:if>
<xsl:if test="//CATEGORYLIST/ORDER_DIRECTION='desc'">document.forms[0].order_direction.value="asc";</xsl:if>
</xsl:if>
document.forms[0].submit();
</xsl:attribute>
<xsl:attribute name="title">
<xsl:if test="//CATEGORYLIST/ORDER_BY='image_id'">
<xsl:if test="//CATEGORYLIST/ORDER_DIRECTION='asc'"><xsl:value-of select="//CATEGORYLIST/LEGEND/SORT_IN_DESCENDING_ORDER"/></xsl:if>
<xsl:if test="//CATEGORYLIST/ORDER_DIRECTION='desc'"><xsl:value-of select="//CATEGORYLIST/LEGEND/SORT_IN_ASCENDING_ORDER"/></xsl:if>
</xsl:if>
</xsl:attribute>
<xsl:value-of select="//CATEGORYLIST/LEGEND/ISCATEGORYIMAGE"/>
<xsl:if test="//CATEGORYLIST/ORDER_BY='image_id'">
<xsl:if test="//CATEGORYLIST/ORDER_DIRECTION='asc'"><img align="texttop" vspace="3" hspace="5" border="0" src="{$baseURL}/modules/{$SB_modules}/images/dlg_sort_down.gif" width="8" height="8"><xsl:attribute name="alt"><xsl:value-of select="//LEGEND/SORT_IN_DESCENDING_ORDER"/></xsl:attribute></img></xsl:if>
<xsl:if test="//CATEGORYLIST/ORDER_DIRECTION='desc'"><img align="texttop" vspace="3" hspace="5" border="0" src="{$baseURL}/modules/{$SB_modules}/images/dlg_sort_up.gif" width="8" height="8"><xsl:attribute name="alt"><xsl:value-of select="//LEGEND/SORT_IN_ASCENDING_ORDER"/></xsl:attribute></img></xsl:if>
</xsl:if>
</a>
</nobr>
</td>
<td class="Shop_Style_formfieldcolorfirst" style="width: 1%;" align="right">
<xsl:choose>
<xsl:when test="//CATEGORYLIST/CATEGORYAMOUNT/@VALUE > 0">
<input type="checkbox" class="SB_Style_checkbox" name="" value="" tabIndex="1" onClick="doSelectCategories(this)" />
</xsl:when>
<xsl:otherwise>&#160;</xsl:otherwise>
</xsl:choose>
</td>
</tr>
<xsl:for-each select="//CATEGORYLIST/CATEGORY">
<tr>
<xsl:choose>
<xsl:when test="position() mod 2">
<xsl:attribute name="class">tr_even</xsl:attribute>
</xsl:when>
<xsl:otherwise>
<xsl:attribute name="class">tr_odd</xsl:attribute>
</xsl:otherwise>
</xsl:choose>
<td>
<a href="javascript:void(1)" class="SB_Style_formtitle">
<xsl:attribute name = "onclick">dc(1);document.forms[0].shop_topic.value="category_edit";document.forms[0].edit_category_id.value="<xsl:value-of select='@ID'/>";document.forms[0].submit();return false;</xsl:attribute>
<xsl:value-of select='@NAME'/>
</a>
</td>
<td align="right">
<xsl:value-of select='@PRODUCTCOUNT'/>
</td>
<td align="center">
<xsl:if test="ISIMAGE=1">
<a href="javascript:void(1)">
<xsl:attribute name="onclick">openImagePreview('<xsl:value-of select='IMAGE'/>', '<xsl:value-of select='IMAGE/@WIDTH'/>', '<xsl:value-of select='IMAGE/@HEIGHT'/>');return false;</xsl:attribute>
<img border="0" src="{$baseURL}/modules/{$SB_modules}/images/preview.gif"/>
</a>
</xsl:if>&#160;
</td>
<td align="right" >
<input type="checkbox" id="check_categories" name="check_categories[]" class="SB_Style_checkbox">
<xsl:attribute name='value'><xsl:value-of select='@ID'/></xsl:attribute>
</input>
</td>
</tr>
</xsl:for-each>
</table>
</td>
</tr>
</xsl:if>
</xsl:if>
<xsl:if test="//CATEGORYLIST/CATEGORYAMOUNT/@VALUE = 0 and string(//CATEGORYLIST/SEARCH)=''">
<tr><td style="padding-bottom:5px;"><span class="strong"><xsl:value-of select='//CATEGORYLIST/LEGEND/NOCATEGORIES'/></span></td></tr>
</xsl:if>
<tr>
<td>
<table border="0" width="100%" cellpadding="0" cellspacing="0" class="buttonTable">
<tr>
<td widht="1%"><xsl:apply-templates select="//CATEGORYLIST/PAGE-STRIP"/></td>
<td align="right" width="99%">
<table cellpadding="0" cellspacing="0" border='0'>
<tr>
<td>
<xsl:call-template name="drawButton">
<xsl:with-param name="onClick">dc(1);document.forms[0].shop_topic.value="category_add";document.forms[0].submit();</xsl:with-param>
<xsl:with-param name="caption" select='//CATEGORYLIST/LEGEND/INSERTCATEGORY'/>
</xsl:call-template>
</td>
<xsl:if test="//CATEGORYLIST/CATEGORYAMOUNT/@VALUE > 0">
<td width="10px">
</td>
<td align="left">
<xsl:call-template name="drawButton">
<xsl:with-param name="onClick">deleteCategories();</xsl:with-param>
<xsl:with-param name="caption" select='//CATEGORYLIST/LEGEND/DELETECATEGORY'/>
<xsl:with-param name="style" select='SB_Style_menu_disabled'/>
</xsl:call-template>
</td>
</xsl:if>
<xsl:if test="//CATEGORYLIST/IMAGEAMOUNT/@VALUE > 0">
<td width="10px">
</td>
<td align="left">
<xsl:call-template name="drawButton">
<xsl:with-param name="onClick">deleteCategoryImages();</xsl:with-param>
<xsl:with-param name="caption" select='//CATEGORYLIST/LEGEND/DELETEIMAGES'/>
<xsl:with-param name="style" select='SB_Style_menu_disabled'/>
</xsl:call-template>
</td>
</xsl:if>
</tr>
</table>
</td>
</tr>
</table>
</td>
</tr>
</table>
</div>
<script type="text/javascript" language="javascript">
	var	iframedoc =	document.getElementById('category_area');
	ResizeShop(iframedoc)
</script>
</xsl:template>

<xsl:template match="CATEGORYEDIT_T">
<div id="category_area" name="category_area" style="background-color: #ffffff; border-width: 1px; width:100%; overflow-y: auto; overflow-x: auto; overflow: auto; ">
<table cellspacing='0' cellpadding='0' width="100%" border="0">
<tr>
<td>
<table width='100%' cellspacing='0' cellpadding='0' border='0'>
<tr>
<td width="70%" class='modules_design_text' valign="top">
<table width='100%' cellspacing='0' cellpadding='0' border='0'>
<tr><td nowrap='true' width='1%' class='modules_design_text'><xsl:value-of select="//CATEGORYLIST/LEGEND/CATEGORYNAME"/>:<span class="red">*</span></td></tr>
<tr><td valign="bottom">
<input type='text' name='category_name' style="width: 100%;" class='modules_formfield'  onchange="document.forms[0].sb_changes.value=1;" maxlength="255">
<xsl:attribute name='value'><xsl:value-of select="//CATEGORYLIST/EDITCATEGORY/@NAME" /></xsl:attribute>
</input>
</td>
</tr>
</table>
</td>
<td valign='top' style="padding-left: 10px;padding-top:8px;height:95%; padding-bottom:3px;"><img border="0" src='{$baseURL}/skins/{$sb_skin}/images/blue.gif' width='5' style="height:100%"/></td>
<td class="modules_genpages" style="padding-left: 10px;padding-top:8px;" valign="top">
<xsl:value-of select="//CATEGORYLIST/LEGEND/NAME_DESCR"/>
</td>
</tr>
<tr>
<td  valign="top">
<table width='100%' cellspacing='0' cellpadding='0' border='0'>
<tr><td nowrap='true' width='1%' class='modules_design_text'><xsl:value-of select="//CATEGORYLIST/LEGEND/CATEGORYIMAGE"/>:</td></tr>
<tr><td>
<input type='file' name='category_image' style="width: 100%;" class='modules_formfield'  onchange="document.forms[0].sb_changes.value=1;">
<xsl:if test="//BROWSER/@NAME='Gecko'"><xsl:attribute name='size'>72</xsl:attribute></xsl:if>
</input>
</td>
</tr>
</table>
</td>
<td valign='middle' style="padding-left: 10px;padding-top:8px;height:95%"><img border="0" src='{$baseURL}/skins/{$sb_skin}/images/blue.gif' width='5' style="height:100%"/></td>
<td  class="modules_genpages" style="padding-left: 10px;padding-top:8px;" valign="top">
<xsl:value-of select="//CATEGORYLIST/LEGEND/IMAGE_DESCR"/>
</td>
</tr>
</table>
</td>
</tr>
<tr><td width="100%" height="16"><img src="{$baseURL}/modules/{$SB_modules}/images/empty.gif" width="1" height="16" border="0"/></td></tr>
<tr>
<td>
<table cellspacing='0' cellpadding='0'  width="100%" class="buttonTable">
<tr>
<td>
<span class="red">*</span> - <xsl:value-of select="//CATEGORYLIST/LEGEND/REQUIRED_FIELDS"/>
</td>
<td align="right" width="70%">
<table cellspacing='0' cellpadding='0'>
<tr>
<td>
<xsl:choose>
<xsl:when test="//CATEGORYLIST/@MODE='edit'">
<xsl:call-template name="drawButton">
<xsl:with-param name="onClick">if (checkCategory(document.forms[0])) {dc(1);document.forms[0].shop_topic.value="category_list";document.forms[0].edit_category_id.value="<xsl:value-of select="//CATEGORYLIST/EDITCATEGORY/@ID" />";document.forms[0].submit();}</xsl:with-param>
<xsl:with-param name="caption" select='//LEGEND/APPLY'/>
</xsl:call-template>
</xsl:when>
<xsl:otherwise>
<xsl:call-template name="drawButton">
<xsl:with-param name="onClick">if (checkCategory(document.forms[0])) {dc(1);document.forms[0].shop_topic.value="category_list";document.forms[0].submit();}</xsl:with-param>
<xsl:with-param name="caption" select='//LEGEND/APPLY'/>
</xsl:call-template>
</xsl:otherwise>
</xsl:choose>
</td>
<td height="24px" width="10px">
</td>
<td height="24px" align="left">
<xsl:call-template name="drawButton">
<xsl:with-param name="onClick">dc(1);document.forms[0].shop_topic.value="category_list";document.forms[0].submit();</xsl:with-param>
<xsl:with-param name="caption" select='//LEGEND/CANCEL'/>
</xsl:call-template>
</td>
</tr>
</table>
</td>
</tr>
</table>
</td>
</tr>
</table>
</div>
<script type="text/javascript" language="javascript">
	var	iframedoc =	document.getElementById('category_area');
	ResizeShop(iframedoc)
</script>

</xsl:template>

</xsl:stylesheet>