<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">

<xsl:template match="PAYMENT_FORM">
<div id="payments_area" name="payments_area" style="background-color: #ffffff; border-width: 1px; width:100%; height:300px; overflow-y: auto; overflow-x: auto; overflow: auto; ">

<table cellspacing='0' cellpadding='0' width="100%" border="0">
<tr>
<td>
<table width='100%' cellspacing='0' cellpadding='0' border='0'>

<tr>
<td width="70%" valign="top" style="padding-right:10px;">
<table width='100%' cellspacing='0' cellpadding='0' border='0'>
<tr><td nowrap='true' width='1%' class='modules_design_text'><xsl:value-of select="//LEGEND/PAYPAL_EMAIL"/></td></tr>
<tr><td valign="bottom">
<input type='text' name='payments[paypal_email]' style="width: 100%;" class='modules_formfield'  onchange="document.forms[0].sb_changes.value=1;">
<xsl:attribute name='value'><xsl:value-of select="PAYPAL_EMAIL" /></xsl:attribute>
</input>
</td>
</tr>
</table>
</td>
<td valign='middle' style="background: url({$baseURL}/skins/{$sb_skin}/images/blue.gif);" width="5"><div style="width: 5px;"></div></td>
<td style="padding-left:10px; font-size: 11px;" valign="top" class="SB_Style_genpages">
<xsl:value-of select="//LEGEND/PAYMENT_FORM_DESCRIPTION"/>
</td>
</tr>

<tr>
   <td height='10'></td>
</tr>


<tr>
<td width="70%" valign="top" style="padding-right:10px;">
<table width='100%' cellspacing='0' cellpadding='0' border='0'>
<tr><td nowrap='true' width='1%' class='modules_design_text'><xsl:value-of select="//LEGEND/PAYPAL_CURRENCY"/></td></tr>
<tr><td valign="bottom">
<select name='payments[paypal_currency]' style="width: 100%;" class='modules_formfield' onchange="document.forms[0].sb_changes.value=1;">
<option value="USD">
<xsl:if test='PAYPAL_CURRENCY="USD"'>
<xsl:attribute name="selected">true</xsl:attribute>
</xsl:if>
<xsl:value-of select="//LEGEND/PAYPAL_CURRENCY_USD"/>
</option>
<option value="EUR">
<xsl:if test='PAYPAL_CURRENCY="EUR"'>
<xsl:attribute name="selected">true</xsl:attribute>
</xsl:if>
<xsl:value-of select="//LEGEND/PAYPAL_CURRENCY_EUR"/>
</option>
<option value="GBP">
<xsl:if test='PAYPAL_CURRENCY="GBP"'>
<xsl:attribute name="selected">true</xsl:attribute>
</xsl:if>
<xsl:value-of select="//LEGEND/PAYPAL_CURRENCY_GBP"/>
</option>
<option value="CAD">
<xsl:if test='PAYPAL_CURRENCY="CAD"'>
<xsl:attribute name="selected">true</xsl:attribute>
</xsl:if>
<xsl:value-of select="//LEGEND/PAYPAL_CURRENCY_CAD"/>
</option>
<option value="JPY">
<xsl:if test='PAYPAL_CURRENCY="JPY"'>
<xsl:attribute name="selected">true</xsl:attribute>
</xsl:if>
<xsl:value-of select="//LEGEND/PAYPAL_CURRENCY_JPY"/>
</option>
</select>
</td>
</tr>
</table>
</td>
<td valign='middle' style="background: url({$baseURL}/skins/{$sb_skin}/images/blue.gif);" width="5"><div style="width: 5px;"></div></td>
<td style="padding-left:10px; font-size: 11px;" valign="top" class="SB_Style_genpages">
<xsl:value-of select="//LEGEND/PAYPAL_CURRENCY_DESCRIPTION"/>
</td>
</tr>

<tr>
   <td height='10'></td>
</tr>

<tr>
<td width="70%" valign="top" style="padding-right:10px;">
<table width='100%' cellspacing='0' cellpadding='0' border='0'>
<tr><td nowrap='true' width='1%' class='modules_design_text'><xsl:value-of select="//LEGEND/PAYPAL_HANDLING"/></td></tr>
<tr><td valign="bottom">
<input type='text' name='payments[paypal_handling]' style="width: 100%;" class='modules_formfield'  onchange="document.forms[0].sb_changes.value=1;" maxlength="5">
<xsl:attribute name='value'><xsl:value-of select="PAYPAL_HANDLING" /></xsl:attribute>
</input>
</td>
</tr>
</table>
</td>
<td valign='middle' style="background: url({$baseURL}/skins/{$sb_skin}/images/blue.gif);" width="5"><div style="width: 5px;"></div></td>
<td style="padding-left:10px; font-size: 11px;" valign="top" class="SB_Style_genpages">
<xsl:value-of select="//LEGEND/PAYPAL_HANDLING_DESCRIPTION"/>
</td>
</tr>

<tr>
   <td height='10'></td>
</tr>

<tr>
<td width="70%" valign="top" style="padding-right:10px;">
<table width='100%' cellspacing='0' cellpadding='0' border='0'>
<tr><td nowrap='true' width='1%' class='modules_design_text'><xsl:value-of select="//LEGEND/PAYPAL_SHIPPING"/></td></tr>
<tr><td valign="bottom">
<input type='text' name='payments[paypal_shipping]' style="width: 100%;" class='modules_formfield'  onchange="document.forms[0].sb_changes.value=1;" maxlength="5">
<xsl:attribute name='value'><xsl:value-of select="PAYPAL_SHIPPING" /></xsl:attribute>
</input>
</td>
</tr>
</table>
</td>
<td valign='middle' style="background: url({$baseURL}/skins/{$sb_skin}/images/blue.gif);" width="5"><div style="width: 5px;"></div></td>
<td style="padding-left:10px; font-size: 11px;" valign="top" class="SB_Style_genpages">
<xsl:value-of select="//LEGEND/PAYPAL_SHIPPING_DESCRIPTION"/>
</td>
</tr>

<tr>
   <td height='10'></td>
</tr>

<tr>
<td width="70%" valign="top" style="padding-right:10px;">
<table width='100%' cellspacing='0' cellpadding='0' border='0'>
<tr><td nowrap='true' width='1%' class='modules_design_text'><xsl:value-of select="//LEGEND/PAYPAL_SHIPPING2"/></td></tr>
<tr><td valign="bottom">
<input type='text' name='payments[paypal_shipping2]' style="width: 100%;" class='modules_formfield'  onchange="document.forms[0].sb_changes.value=1;" maxlength="5">
<xsl:attribute name='value'><xsl:value-of select="PAYPAL_SHIPPING2" /></xsl:attribute>
</input>
</td>
</tr>
</table>
</td>
<td valign='middle' style="background: url({$baseURL}/skins/{$sb_skin}/images/blue.gif);" width="5"><div style="width: 5px;"></div></td>
<td style="padding-left:10px; font-size: 11px;" valign="top" class="SB_Style_genpages">
<xsl:value-of select="//LEGEND/PAYPAL_SHIPPING2_DESCRIPTION"/>
</td>
</tr>

<tr>
   <td height='10'></td>
</tr>

<tr>
<td width="70%" valign="top" style="padding-right:10px;">
<table width='100%' cellspacing='0' cellpadding='0' border='0'>
<tr><td nowrap='true' width='1%' class='modules_design_text'><xsl:value-of select="//LEGEND/PAYPAL_TAX"/></td></tr>
<tr><td valign="bottom">
<input type='text' name='payments[paypal_tax]' style="width: 100%;" class='modules_formfield'  onchange="document.forms[0].sb_changes.value=1;" maxlength="5">
<xsl:attribute name='value'><xsl:value-of select="PAYPAL_TAX" /></xsl:attribute>
</input>
</td>
</tr>
</table>
</td>
<td valign='middle' style="background: url({$baseURL}/skins/{$sb_skin}/images/blue.gif);" width="5"><div style="width: 5px;"></div></td>
<td style="padding-left:10px; font-size: 11px;" valign="top" class="SB_Style_genpages">
<xsl:value-of select="//LEGEND/PAYPAL_TAX_DESCRIPTION"/>
</td>
</tr>


</table>
</td>
</tr>
</table>
</div>
<script type="text/javascript" language="javascript">
	var	iframedoc =	document.getElementById('payments_area');
	ResizeShop(iframedoc)
</script>

</xsl:template>

</xsl:stylesheet>