<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">

<xsl:template match="USERLIST_T">
<div id="user_area" name="user_area" style="background-color: #ffffff; width: 100%; overflow: auto; ">
<table cellspacing='0' cellpadding='0' width="100%">
<xsl:if test="//USERLIST/USERAMOUNT/@VALUE > 0 or //USERLIST/SEARCH">
<tr>
<td width="100%">
<table  cellspacing='0' cellpadding='0'>
<tr>
<td width="1%" nowrap="nowrap">
<xsl:value-of select="//USERLIST/LEGEND/SEARCH_IN" />&#160;
</td>
<td style="padding-right:10px;">
<select name="search_in" class='modules_formfield'>

<option value="all">
<xsl:value-of select="//USERLIST/LEGEND/EVERYWHERE" />
</option>

<option value="first_name">
<xsl:if test = "//USERLIST/SEARCH_IN='first_name'">
<xsl:attribute name = "selected">true</xsl:attribute>
</xsl:if>
<xsl:value-of select="//USERLIST/LEGEND/FIRST_NAME" />
</option>

<option value="last_name">
<xsl:if test = "//USERLIST/SEARCH_IN='last_name'">
<xsl:attribute name = "selected">true</xsl:attribute>
</xsl:if>
<xsl:value-of select="//USERLIST/LEGEND/LAST_NAME" />
</option>

<option value="phone">
<xsl:if test = "//USERLIST/SEARCH_IN='phone'">
<xsl:attribute name = "selected">true</xsl:attribute>
</xsl:if>
<xsl:value-of select="//USERLIST/LEGEND/PHONE" />
</option>

<option value="email">
<xsl:if test = "//USERLIST/SEARCH_IN='email'">
<xsl:attribute name = "selected">true</xsl:attribute>
</xsl:if>
<xsl:value-of select="//USERLIST/LEGEND/EMAIL" />
</option>

<option value="company">
<xsl:if test = "//USERLIST/SEARCH_IN='company'">
<xsl:attribute name = "selected">true</xsl:attribute>
</xsl:if>
<xsl:value-of select="//USERLIST/LEGEND/COMPANY" />
</option>
</select>

</td>
<td width="50%" style="padding-right:10px;">
<input type='text' name='search' style="width: 100%;" class='modules_formfield'>
<xsl:attribute name='value'><xsl:value-of select="//USERLIST/SEARCH" /></xsl:attribute>
<xsl:attribute name='onkeypress'>document.forms[0].doSearch.value="0"; if (event.keyCode==13) { if (!isEmpty(document.forms[0].search.value)) {dc(1);document.forms[0].frame_type.value="users";document.forms[0].shop_topic.value="user_list";document.forms[0].doSearch.value="1";document.forms[0].submit();}}</xsl:attribute>
</input>
</td>
<td width="1%" style="padding-right:10px;">
<xsl:call-template name="drawButton">
<xsl:with-param name="caption" select='//LEGEND/SEARCH'/>
<xsl:with-param name="onClick">if (!isEmpty(document.forms[0].search.value)) { dc(1);document.forms[0].frame_type.value="users";document.forms[0].shop_topic.value="user_list";document.forms[0].doSearch.value="1";document.forms[0].noSearch.value="0";document.forms[0].submit();}</xsl:with-param>
</xsl:call-template>
</td>
<td width="1%">
<xsl:call-template name="drawButton">
<xsl:with-param name="onClick">dc(1);document.forms[0].shop_topic.value="user_list";document.forms[0].doSearch.value="1";document.forms[0].noSearch.value="0";document.forms[0].search.value="";document.forms[0].search_in.value="all";document.forms[0].submit();</xsl:with-param>
<xsl:with-param name="caption" select='//USERLIST/LEGEND/SHOWALLUSERS'/>
</xsl:call-template>
</td>
</tr>
</table>
</td>
</tr>
<xsl:if test="//USERLIST/DOSEARCH!='' and //USERLIST/NOSEARCH!='1' and string(//USERLIST/SEARCH)!=''">
<tr><td width="100%" height="10"><img src="{$baseURL}/modules/{$SB_modules}/images/empty.gif" width="1" height="10" border="0"/></td></tr>
<tr><td><span class="strong"><xsl:value-of select="//USERLIST/LEGEND/SEARCH_RESULT" />:&#160; </span>
<xsl:if test="//USERLIST/USERAMOUNT/@VALUE = 0"><xsl:value-of select="//USERLIST/LEGEND/NOUSERS" /></xsl:if>
<xsl:if test="//USERLIST/TOTAL > 0"><xsl:value-of select="//USERLIST/LEGEND/FOUND"/>&#160;<span class="strong"><xsl:value-of select="//USERLIST/TOTAL"/></span>&#160;<xsl:value-of select="//USERLIST/LEGEND/ITEMS"/></xsl:if>
</td></tr>
</xsl:if>
<tr><td width="100%" height="10"><img src="{$baseURL}/modules/{$SB_modules}/images/empty.gif" width="1" height="10" border="0"/></td></tr>
<xsl:if test="//USERLIST/USERAMOUNT/@VALUE > 0">
<tr>
<td width="100%">
<table cellspacing='0' cellpadding='0' width="100%" border="0">
<tbody>
<tr>
<td class="Shop_Style_formfieldcolorfirst" style="width: 15%;">
<a>
<xsl:attribute name='onclick'>
dc(1);
document.forms[0].shop_topic.value="user_list";
document.forms[0].order_by.value="login";
<xsl:if test="//USERLIST/ORDER_BY='login'">
<xsl:if test="//USERLIST/ORDER_DIRECTION=''">document.forms[0].order_direction.value="desc";</xsl:if>
<xsl:if test="//USERLIST/ORDER_DIRECTION='asc'">document.forms[0].order_direction.value="desc";</xsl:if>
<xsl:if test="//USERLIST/ORDER_DIRECTION='desc'">document.forms[0].order_direction.value="asc";</xsl:if>
</xsl:if>
document.forms[0].submit();
</xsl:attribute>
<xsl:attribute name="title">
<xsl:if test="//USERLIST/ORDER_BY='login'">
<xsl:if test="//USERLIST/ORDER_DIRECTION='asc'"><xsl:value-of select="//USERLIST/LEGEND/SORT_IN_DESCENDING_ORDER"/></xsl:if>
<xsl:if test="//USERLIST/ORDER_DIRECTION='desc'"><xsl:value-of select="//USERLIST/LEGEND/SORT_IN_ASCENDING_ORDER"/></xsl:if>
</xsl:if>
</xsl:attribute>
<xsl:value-of select="//USERLIST/LEGEND/LOGIN"/>
<xsl:if test="//USERLIST/ORDER_BY='login'">
<xsl:if test="//USERLIST/ORDER_DIRECTION='asc'"><img align="texttop" vspace="3" hspace="5" border="0" src="{$baseURL}/modules/{$SB_modules}/images/dlg_sort_down.gif" width="8" height="8"><xsl:attribute name="alt"><xsl:value-of select="//USERLIST/LEGEND/SORT_IN_DESCENDING_ORDER"/></xsl:attribute></img></xsl:if>
<xsl:if test="//USERLIST/ORDER_DIRECTION='desc'"><img align="texttop" vspace="3" hspace="5" border="0" src="{$baseURL}/modules/{$SB_modules}/images/dlg_sort_up.gif" width="8" height="8"><xsl:attribute name="alt"><xsl:value-of select="//USERLIST/LEGEND/SORT_IN_ASCENDING_ORDER"/></xsl:attribute></img></xsl:if>
</xsl:if>
</a>
</td>
<td class="Shop_Style_formfieldcolorfirst" style="width: 15%; padding-right: 10px;">
<a>
<xsl:attribute name='onclick'>
dc(1);
document.forms[0].shop_topic.value="user_list";
document.forms[0].order_by.value="first_name";
<xsl:if test="//USERLIST/ORDER_BY='first_name'">
<xsl:if test="//USERLIST/ORDER_DIRECTION=''">document.forms[0].order_direction.value="desc";</xsl:if>
<xsl:if test="//USERLIST/ORDER_DIRECTION='asc'">document.forms[0].order_direction.value="desc";</xsl:if>
<xsl:if test="//USERLIST/ORDER_DIRECTION='desc'">document.forms[0].order_direction.value="asc";</xsl:if>
</xsl:if>
document.forms[0].submit();
</xsl:attribute>
<xsl:attribute name="title">
<xsl:if test="//USERLIST/ORDER_BY='first_name'">
<xsl:if test="//USERLIST/ORDER_DIRECTION='asc'"><xsl:value-of select="//USERLIST/LEGEND/SORT_IN_DESCENDING_ORDER"/></xsl:if>
<xsl:if test="//USERLIST/ORDER_DIRECTION='desc'"><xsl:value-of select="//USERLIST/LEGEND/SORT_IN_ASCENDING_ORDER"/></xsl:if>
</xsl:if>
</xsl:attribute>
<xsl:value-of select="//USERLIST/LEGEND/FIRST_NAME"/>
<xsl:if test="//USERLIST/ORDER_BY='first_name'">
<xsl:if test="//USERLIST/ORDER_DIRECTION='asc'"><img align="texttop" vspace="3" hspace="5" border="0" src="{$baseURL}/modules/{$SB_modules}/images/dlg_sort_down.gif" width="8" height="8"><xsl:attribute name="alt"><xsl:value-of select="//USERLIST/LEGEND/SORT_IN_DESCENDING_ORDER"/></xsl:attribute></img></xsl:if>
<xsl:if test="//USERLIST/ORDER_DIRECTION='desc'"><img align="texttop" vspace="3" hspace="5" border="0" src="{$baseURL}/modules/{$SB_modules}/images/dlg_sort_up.gif" width="8" height="8"><xsl:attribute name="alt"><xsl:value-of select="//USERLIST/LEGEND/SORT_IN_ASCENDING_ORDER"/></xsl:attribute></img></xsl:if>
</xsl:if>
</a>
</td>
<td class="Shop_Style_formfieldcolorfirst" style="width: 15%; padding-right: 10px;">
<a>
<xsl:attribute name='onclick'>
dc(1);
document.forms[0].shop_topic.value="user_list";
document.forms[0].order_by.value="last_name";
<xsl:if test="//USERLIST/ORDER_BY='last_name'">
<xsl:if test="//USERLIST/ORDER_DIRECTION=''">document.forms[0].order_direction.value="desc";</xsl:if>
<xsl:if test="//USERLIST/ORDER_DIRECTION='asc'">document.forms[0].order_direction.value="desc";</xsl:if>
<xsl:if test="//USERLIST/ORDER_DIRECTION='desc'">document.forms[0].order_direction.value="asc";</xsl:if>
</xsl:if>
document.forms[0].submit();
</xsl:attribute>
<xsl:attribute name="title">
<xsl:if test="//USERLIST/ORDER_BY='last_name'">
<xsl:if test="//USERLIST/ORDER_DIRECTION='asc'"><xsl:value-of select="//USERLIST/LEGEND/SORT_IN_DESCENDING_ORDER"/></xsl:if>
<xsl:if test="//USERLIST/ORDER_DIRECTION='desc'"><xsl:value-of select="//USERLIST/LEGEND/SORT_IN_ASCENDING_ORDER"/></xsl:if>
</xsl:if>
</xsl:attribute>
<xsl:value-of select="//USERLIST/LEGEND/LAST_NAME"/>
<xsl:if test="//USERLIST/ORDER_BY='last_name'">
<xsl:if test="//USERLIST/ORDER_DIRECTION='asc'"><img align="texttop" vspace="3" hspace="5" border="0" src="{$baseURL}/modules/{$SB_modules}/images/dlg_sort_down.gif" width="8" height="8"><xsl:attribute name="alt"><xsl:value-of select="//USERLIST/LEGEND/SORT_IN_DESCENDING_ORDER"/></xsl:attribute></img></xsl:if>
<xsl:if test="//USERLIST/ORDER_DIRECTION='desc'"><img align="texttop" vspace="3" hspace="5" border="0" src="{$baseURL}/modules/{$SB_modules}/images/dlg_sort_up.gif" width="8" height="8"><xsl:attribute name="alt"><xsl:value-of select="//USERLIST/LEGEND/SORT_IN_ASCENDING_ORDER"/></xsl:attribute></img></xsl:if>
</xsl:if>
</a>
</td>
<td class="Shop_Style_formfieldcolorfirst" style="width: 15%;">
<a>
<xsl:attribute name='onclick'>
dc(1);
document.forms[0].shop_topic.value="user_list";
document.forms[0].order_by.value="email";
<xsl:if test="//USERLIST/ORDER_BY='email'">
<xsl:if test="//USERLIST/ORDER_DIRECTION=''">document.forms[0].order_direction.value="desc";</xsl:if>
<xsl:if test="//USERLIST/ORDER_DIRECTION='asc'">document.forms[0].order_direction.value="desc";</xsl:if>
<xsl:if test="//USERLIST/ORDER_DIRECTION='desc'">document.forms[0].order_direction.value="asc";</xsl:if>
</xsl:if>
document.forms[0].submit();
</xsl:attribute>
<xsl:attribute name="title">
<xsl:if test="//USERLIST/ORDER_BY='email'">
<xsl:if test="//USERLIST/ORDER_DIRECTION='asc'"><xsl:value-of select="//USERLIST/LEGEND/SORT_IN_DESCENDING_ORDER"/></xsl:if>
<xsl:if test="//USERLIST/ORDER_DIRECTION='desc'"><xsl:value-of select="//USERLIST/LEGEND/SORT_IN_ASCENDING_ORDER"/></xsl:if>
</xsl:if>
</xsl:attribute>
<xsl:value-of select="//USERLIST/LEGEND/EMAIL"/>
<xsl:if test="//USERLIST/ORDER_BY='email'">
<xsl:if test="//USERLIST/ORDER_DIRECTION='asc'"><img align="texttop" vspace="3" hspace="5" border="0" src="{$baseURL}/modules/{$SB_modules}/images/dlg_sort_down.gif" width="8" height="8"><xsl:attribute name="alt"><xsl:value-of select="//USERLIST/LEGEND/SORT_IN_DESCENDING_ORDER"/></xsl:attribute></img></xsl:if>
<xsl:if test="//USERLIST/ORDER_DIRECTION='desc'"><img align="texttop" vspace="3" hspace="5" border="0" src="{$baseURL}/modules/{$SB_modules}/images/dlg_sort_up.gif" width="8" height="8"><xsl:attribute name="alt"><xsl:value-of select="//USERLIST/LEGEND/SORT_IN_ASCENDING_ORDER"/></xsl:attribute></img></xsl:if>
</xsl:if>
</a>
</td>
<td class="Shop_Style_formfieldcolorfirst" style="width: 1%;" align="right">
<xsl:choose>
<xsl:when test="//USERLIST/USERAMOUNT/@VALUE > 0">
<input type="checkbox" class="SB_Style_checkbox" name="" value="" tabIndex="1" onClick="doSelectUsers(this)" />
</xsl:when>
<xsl:otherwise>&#160;</xsl:otherwise>
</xsl:choose>
</td>
</tr>
<xsl:for-each select="//USERLIST/USER">
<tr>
<xsl:choose>
<xsl:when test="position() mod 2">
<xsl:attribute name="class">tr_even</xsl:attribute>
</xsl:when>
<xsl:otherwise>
<xsl:attribute name="class">tr_odd</xsl:attribute>
</xsl:otherwise>
</xsl:choose>
<td style="padding-right: 10px;">
<a href="javascript:void(1)" class="SB_Style_formtitle">
<xsl:attribute name = "onclick">dc(1);document.forms[0].shop_topic.value="user_edit";document.forms[0].edit_user_login.value="<xsl:value-of select='@LOGIN'/>";document.forms[0].submit();return false;</xsl:attribute>
<xsl:value-of select='@SHORT_LOGIN'/>
</a>
</td>
<td style="padding-right: 10px;">
<xsl:value-of select='FIRST_NAME'/>
</td>
<td style="padding-right: 10px;">
<xsl:value-of select='LAST_NAME'/>
</td>
<td style="padding-right: 10px;">
<xsl:value-of select='EMAIL'/>
</td>
<td align="right">
<input type="checkbox" id="check_users" name="check_users[]" class="SB_Style_checkbox">
<xsl:attribute name='value'><xsl:value-of select='@LOGIN'/></xsl:attribute>
</input>
</td>
</tr>
</xsl:for-each>
</tbody>
</table>
</td>
</tr>
</xsl:if>
</xsl:if>
<xsl:if test="//USERLIST/USERAMOUNT/@VALUE = 0 and string(//USERLIST/SEARCH)=''">
<tr><td style="padding-bottom:5px;"><span class="strong"><xsl:value-of select='//USERLIST/LEGEND/NOUSERS'/></span></td></tr>
</xsl:if>
<tr>
<td>
<table border="0" width="100%"  class="buttonTable" cellpadding="0" cellspacing="0">
<tr>
<td widht="1%"><xsl:apply-templates select="//USERLIST/PAGE-STRIP"/></td>
<td align="right" width="99%">
<table cellpadding="0" cellspacing="0">
<tr>
<td>
<xsl:call-template name="drawButton">
<xsl:with-param name="onClick">dc(1);document.forms[0].shop_topic.value="user_add";document.forms[0].submit();</xsl:with-param>
<xsl:with-param name="caption" select='//USERLIST/LEGEND/INSERTUSER'/>
</xsl:call-template>
</td>
<xsl:if test="//USERLIST/USERAMOUNT/@VALUE > 0">
<td width="10px">
</td>
<td align="left">
<xsl:call-template name="drawButton">
<xsl:with-param name="onClick">deleteUsers();</xsl:with-param>
<xsl:with-param name="caption" select='//USERLIST/LEGEND/DELETEUSER'/>
<xsl:with-param name="style" select='SB_Style_menu_disabled'/>
</xsl:call-template>
</td>
</xsl:if>
</tr>
</table>
</td>
</tr>
</table>
</td>
</tr>
</table>
</div>
<script type="text/javascript" language="javascript">
	var	iframedoc =	document.getElementById('user_area');
	ResizeShop(iframedoc)
</script>

</xsl:template>

<xsl:template match="USEREDIT_T">
<div id="user_area" name="user_area" style="background-color: #ffffff; width:100%;overflow:auto;">
<table cellspacing='0' cellpadding='0' width="100%" border="0" height="100%">
<xsl:if test="//USERLIST/@MODE='edit'">
<tr><td class="modules_design_text"><xsl:value-of select="//USERLIST/LEGEND/LOGIN"/>:&#160;&#160;&#160;<span class="strong"><xsl:value-of select="//USERLIST/USER/@LOGIN"/></span></td></tr>
<tr><td width="100%" height="1" bgcolor="#E3E3E3"><img src="{$baseURL}/modules/{$SB_modules}/images/empty.gif" width="1" height="1" border="0"/></td></tr>
<tr><td width="100%" height="13"><img src="{$baseURL}/modules/{$SB_modules}/images/empty.gif" width="1" height="13" border="0"/></td></tr>
</xsl:if>
<tr>
<td valign="top">
<div style="height: 300px; overflow: auto;" id="user_edit_area">
<table width='100%' cellspacing='0' cellpadding='0' border='0'>
<tr>
<td width="70%" >
<table width='100%' cellspacing='0' cellpadding='0' border='0'>
<tr><td nowrap='true' class="modules_design_text" width='150px'><xsl:value-of select="//USERLIST/LEGEND/FIRST_NAME"/>:<span class="red">*</span></td></tr>
<tr><td>
<input type="text" name="first_name"  class='modules_formfield' style="width: 100%;" onchange="document.forms[0].sb_changes.value=1;" maxlength="50">
<xsl:attribute name='value'><xsl:value-of select="//USERLIST/USER/FIRST_NAME"/></xsl:attribute>
</input>
</td>
</tr>
</table>
</td>
<td valign='middle' style="padding-left: 10px;padding-top:8px;height:95%"><img border="0" src='{$baseURL}/skins/{$sb_skin}/images/blue.gif' width='5' style="height:100%"/></td>
<td class="modules_genpages" style="padding-left: 10px;padding-top:8px;" valign="top">
<xsl:value-of select="//USERLIST/LEGEND/FIRST_NAME_DESCR"/>
</td>
</tr>
<tr>
<td width="70%" >
<table width='100%' cellspacing='0' cellpadding='0' border='0'>
<tr><td class="modules_design_text"><xsl:value-of select="//USERLIST/LEGEND/LAST_NAME"/>:<span class="red">*</span></td></tr>
<tr><td>
<input type="text" name="last_name"  class='modules_formfield' style="width: 100%;" onchange="document.forms[0].sb_changes.value=1;" maxlength="50">
<xsl:attribute name='value'><xsl:value-of select="//USERLIST/USER/LAST_NAME"/></xsl:attribute>
</input>
</td>
</tr>
</table>
</td>
<td valign='middle' style="padding-left: 10px;padding-top:8px;height:95%"><img border="0" src='{$baseURL}/skins/{$sb_skin}/images/blue.gif' width='5' style="height:100%"/></td>
<td class="modules_genpages" style="padding-left: 10px;padding-top:8px;" valign="top">
<xsl:value-of select="//USERLIST/LEGEND/LAST_NAME_DESCR"/>
</td>
</tr>
<tr>
<td width="70%" >
<table width='100%' cellspacing='0' cellpadding='0' border='0'>
<tr><td class="modules_design_text"><xsl:value-of select="//USERLIST/LEGEND/COMPANY"/>:</td></tr>
<tr><td>
<input type="text" name="company"  class='modules_formfield' style="width: 100%;" onchange="document.forms[0].sb_changes.value=1;" maxlength="50">
<xsl:attribute name='value'><xsl:value-of select="//USERLIST/USER/COMPANY"/></xsl:attribute>
</input>
</td>
</tr>
</table>
</td>
<td valign='middle' style="padding-left: 10px;padding-top:8px;height:95%"><img border="0" src='{$baseURL}/skins/{$sb_skin}/images/blue.gif' width='5' style="height:100%"/></td>
<td  class="modules_genpages" style="padding-left: 10px;padding-top:8px;" valign="top">
<xsl:value-of select="//USERLIST/LEGEND/COMPANY_DESCR"/>
</td>
</tr>
<tr>
<td width="70%" valign="top">
<table width='100%' cellspacing='0' cellpadding='0' border='0'>
<tr><td class="modules_design_text"><xsl:value-of select="//USERLIST/LEGEND/PHONE"/>:<span class="red">*</span></td></tr>
<tr><td>
<input type="text" name="phone" class='modules_formfield' onchange="document.forms[0].sb_changes.value=1;" maxlength="15">
<xsl:attribute name='value'><xsl:value-of select="//USERLIST/USER/PHONE"/></xsl:attribute>
</input>
</td>
</tr>
</table>
</td>
<td valign='middle' style="padding-left: 10px;padding-top:8px;height:95%"><img border="0" src='{$baseURL}/skins/{$sb_skin}/images/blue.gif' width='5' style="height:100%"/></td>
<td class="modules_genpages" style="padding-left: 10px;padding-top:8px;" valign="top">
<xsl:value-of select="//USERLIST/LEGEND/PHONE_DESCR"/>
</td>
</tr>
<tr>
<td valign="top">
<table width='100%' cellspacing='0' cellpadding='0' border='0'>
<tr><td class="modules_design_text"><xsl:value-of select="//USERLIST/LEGEND/EMAIL"/>:<span class="red">*</span></td></tr>
<tr><td>
<input type="text" name="email" class='modules_formfield' onchange="document.forms[0].sb_changes.value=1;" maxlength="30">
<xsl:attribute name='value'><xsl:value-of select="//USERLIST/USER/EMAIL"/></xsl:attribute>
</input>
</td>
</tr>
</table>
</td>
<td valign='middle' style="padding-left: 10px;padding-top:8px;height:95%"><img border="0" src='{$baseURL}/skins/{$sb_skin}/images/blue.gif' width='5' style="height:100%"/></td>
<td class="modules_genpages" style="padding-left: 10px;padding-top:8px;" valign="top">
<xsl:value-of select="//USERLIST/LEGEND/EMAIL_DESCR"/>
</td>
</tr>
<xsl:choose>
<xsl:when test="//USERLIST/@MODE='add'">
<tr>
<td valign="top">
<table width='100%' cellspacing='0' cellpadding='0' border='0'>
<tr><td class="modules_design_text"><xsl:value-of select="//USERLIST/LEGEND/LOGIN"/>:<span class="red">*</span></td></tr>
<tr><td><input type="text" name="login"  class='modules_formfield' onchange="document.forms[0].sb_changes.value=1;" maxlength="20"><xsl:attribute name="value"><xsl:value-of select="//USERLIST/USER/@LOGIN"/></xsl:attribute></input></td></tr>
</table>
</td>
<td valign='middle' style="padding-left: 10px;padding-top:8px;height:95%"><img border="0" src='{$baseURL}/skins/{$sb_skin}/images/blue.gif' width='5' style="height:100%"/></td>
<td class="modules_genpages" style="padding-left: 10px;padding-top:8px;" valign="top">
<xsl:value-of select="//USERLIST/LEGEND/LOGIN_DESCR"/>
</td>
</tr>
<tr>
<td valign="top">
<table width='100%' cellspacing='0' cellpadding='0' border='0'>
<tr><td class="modules_design_text"><xsl:value-of select="//USERLIST/LEGEND/PASSWORD"/>:<span class="red">*</span></td></tr>
<tr><td><input type="password" name="password" class='modules_formfield' onchange="document.forms[0].sb_changes.value=1;" maxlength="20"/></td></tr>
</table>
</td>
<td valign='middle' style="padding-left: 10px;padding-top:8px;height:95%"><img border="0" src='{$baseURL}/skins/{$sb_skin}/images/blue.gif' width='5' style="height:100%"/></td>
<td class="modules_genpages" style="padding-left: 10px;padding-top:8px;" valign="top">
<xsl:value-of select="//USERLIST/LEGEND/PASSWORD_DESCR"/>
</td>
</tr>
<tr>
<td valign="top">
<table width='100%' cellspacing='0' cellpadding='0' border='0'>
<tr><td class="modules_design_text"><xsl:value-of select="//USERLIST/LEGEND/PASSWORD_CONFIRMATION"/>:<span class="red">*</span></td></tr>
<tr><td><input type="password" name="password_confirmation" class='modules_formfield' onchange="document.forms[0].sb_changes.value=1;" maxlength="20"/></td></tr>
</table>
</td>
<td valign='middle' style="padding-left: 10px;padding-top:8px;height:95%"><img border="0" src='{$baseURL}/skins/{$sb_skin}/images/blue.gif' width='5' style="height:100%"/></td>
<td class="modules_genpages" style="padding-left: 10px;padding-top:8px;" valign="top">
<xsl:value-of select="//USERLIST/LEGEND/PASSWORD_CONFIRMATION_DESCR"/>
</td>
</tr>
</xsl:when>
<xsl:when test="//USERLIST/@MODE='edit'">
<tr>
<td valign="top">
<table width='100%' cellspacing='0' cellpadding='0' border='0'>
<tr><td class="modules_design_text"><xsl:value-of select="//USERLIST/LEGEND/NEW_PASSWORD"/>:</td></tr>
<tr><td><input type="password" name="password" class='modules_formfield' onchange="document.forms[0].sb_changes.value=1;" maxlength="20"/></td></tr>
</table>
</td>
<td valign='middle' style="padding-left: 10px;padding-top:8px;height:95%"><img border="0" src='{$baseURL}/skins/{$sb_skin}/images/blue.gif' width='5' style="height:100%"/></td>
<td class="modules_genpages" style="padding-left: 10px;padding-top:8px;" valign="top">
<xsl:value-of select="//USERLIST/LEGEND/NEW_PASSWORD_DESCR"/>
</td>
</tr>

<tr>
<td valign="top">
<table width='100%' cellspacing='0' cellpadding='0' border='0'>
<tr><td class="modules_design_text"><xsl:value-of select="//USERLIST/LEGEND/NEW_PASSWORD_CONFIRMATON"/>:</td></tr>
<tr><td><input type="password" name="password_confirmation" class='modules_formfield' onchange="document.forms[0].sb_changes.value=1;" maxlength="20"/></td></tr>
</table>
</td>
<td valign='middle' style="padding-left: 10px;padding-top:8px;height:95%"><img border="0" src='{$baseURL}/skins/{$sb_skin}/images/blue.gif' width='5' style="height:100%"/></td>
<td class="modules_genpages" style="padding-left: 10px;padding-top:8px;" valign="top">
<xsl:value-of select="//USERLIST/LEGEND/NEW_PASSWORD_CONFIRMATON_DESCR"/>
</td>
</tr>
</xsl:when>
</xsl:choose>

<tr>
<td valign="top">
<table width='100%' cellspacing='0' cellpadding='0' border='0'>
<tr><td class="modules_design_text"><xsl:value-of select="//USERLIST/LEGEND/ADDRESS"/> 1:<span class="red">*</span></td></tr>
<tr><td>
<input type="text" name="address1"  class='modules_formfield' style="width: 100%;" onchange="document.forms[0].sb_changes.value=1;" >
<xsl:attribute name='value'><xsl:value-of select="//USERLIST/USER/ADDRESS1"/></xsl:attribute>
</input>
</td>
</tr>
</table>
</td>
<td valign='middle' style="padding-left: 10px;padding-top:8px;height:95%"><img border="0" src='{$baseURL}/skins/{$sb_skin}/images/blue.gif' width='5' style="height:100%"/></td>
<td class="modules_genpages" style="padding-left: 10px;padding-top:8px;" valign="top">
<xsl:value-of select="//USERLIST/LEGEND/ADDRESS1_DESCR"/>
</td>
</tr>

<tr>
<td valign="top">
<table width='100%' cellspacing='0' cellpadding='0' border='0'>
<tr><td class="modules_design_text"><xsl:value-of select="//USERLIST/LEGEND/ADDRESS"/> 2:</td></tr>
<tr><td colspan="2">
<input type="text" name="address2" class='modules_formfield' style="width: 100%;" onchange="document.forms[0].sb_changes.value=1;">
<xsl:attribute name='value'><xsl:value-of select="//USERLIST/USER/ADDRESS2"/></xsl:attribute>
</input>
</td>
</tr>
</table>
</td>
<td valign='middle' style="padding-left: 10px;padding-top:8px;height:95%"><img border="0" src='{$baseURL}/skins/{$sb_skin}/images/blue.gif' width='5' style="height:100%"/></td>
<td class="modules_genpages" style="padding-left: 10px;padding-top:8px;" valign="top">
</td>
</tr>

<tr>
<td valign="top">
<table width='100%' cellspacing='0' cellpadding='0' border='0'>
<tr><td class="modules_design_text"><xsl:value-of select="//USERLIST/LEGEND/CITY"/>:</td></tr>
<tr><td colspan="2">
<input type="text" name="city" class='modules_formfield' style="width: 100%;" onchange="document.forms[0].sb_changes.value=1;" maxlength="50">
<xsl:attribute name='value'><xsl:value-of select="//USERLIST/USER/CITY"/></xsl:attribute>
</input>
</td>
</tr>
</table>
</td>
<td valign='middle' style="padding-left: 10px;padding-top:8px;height:95%"><img border="0" src='{$baseURL}/skins/{$sb_skin}/images/blue.gif' width='5' style="height:100%"/></td>
<td class="modules_genpages" style="padding-left: 10px;padding-top:8px;" valign="top">
<xsl:value-of select="//USERLIST/LEGEND/CITY_DESCR"/>
</td>
</tr>

<tr>
<td valign="top">
<table width='100%' cellspacing='0' cellpadding='0' border='0'>
<tr><td class="modules_design_text"><xsl:value-of select="//USERLIST/LEGEND/STATE"/>:</td></tr>
<tr><td colspan="2">
<input type="text" name="state" class='modules_formfield' style="width: 100%;" onchange="document.forms[0].sb_changes.value=1;" maxlength="50">
<xsl:attribute name='value'><xsl:value-of select="//USERLIST/USER/STATE"/></xsl:attribute>	        
</input>
</td>
</tr>
</table>
</td>
<td valign='middle' style="padding-left: 10px;padding-top:8px;height:95%"><img border="0" src='{$baseURL}/skins/{$sb_skin}/images/blue.gif' width='5' style="height:100%"/></td>
<td class="modules_genpages" style="padding-left: 10px;padding-top:8px;" valign="top">
<xsl:value-of select="//USERLIST/LEGEND/STATE_DESCR"/>
</td>
</tr>

<tr>
<td valign="top">
<table width='100%' cellspacing='0' cellpadding='0' border='0'>
<tr><td class="modules_design_text"><xsl:value-of select="//USERLIST/LEGEND/COUNTRY"/>:<span class="red">*</span></td></tr>
<tr><td colspan="2">
<select name="country" onchange="document.forms[0].sb_changes.value=1;" class='modules_option'>
<xsl:for-each select="//USERLIST/COUNTRIES/COUNTRY">
<option class='modules_option'>
<xsl:attribute name="value"><xsl:value-of select="@ID"/></xsl:attribute>
<xsl:if test="//USERLIST/USER/COUNTRY=@ID">
<xsl:attribute name="selected">true</xsl:attribute>
</xsl:if>
<xsl:value-of select="@NAME"/>
</option>
</xsl:for-each>
</select>
</td>
</tr>
</table>
</td>
<td valign='middle' style="padding-left: 10px;padding-top:8px;height:95%"><img border="0" src='{$baseURL}/skins/{$sb_skin}/images/blue.gif' width='5' style="height:100%"/></td>
<td class="modules_genpages" style="padding-left: 10px;padding-top:8px;" valign="top">
<xsl:value-of select="//USERLIST/LEGEND/COUNTRY_DESCR"/>
</td>
</tr>

<tr>
<td valign="top">
<table width='100%' cellspacing='0' cellpadding='0' border='0'>
<tr><td class="modules_design_text"><xsl:value-of select="//USERLIST/LEGEND/ZIP"/>:<span class="red">*</span></td></tr>
<tr><td>
<input type="text" name="zip" class='modules_formfield' style="width: 100%;" onchange="document.forms[0].sb_changes.value=1;" maxlength="10">
<xsl:attribute name='value'><xsl:value-of select="//USERLIST/USER/ZIP"/></xsl:attribute>
</input>
</td>
</tr>
</table>
</td>
<td valign='middle' style="padding-left: 10px;padding-top:8px;height:95%"><img border="0" src='{$baseURL}/skins/{$sb_skin}/images/blue.gif' width='5' style="height:100%"/></td>
<td class="modules_genpages" style="padding-left: 10px;padding-top:8px;" valign="top">
<xsl:value-of select="//USERLIST/LEGEND/ZIP_DESCR"/>
</td>
</tr>

</table>
</div>
</td>
</tr>
<tr><td width="100%" height="16"><img src="{$baseURL}/modules/{$SB_modules}/images/empty.gif" width="1" height="16" border="0"/></td></tr>
<tr>
<td align="right" >
<table cellspacing='0' cellpadding='0'  width="100%" class="buttonTable">
<tr>
<td width="20%">
<span class="red">*</span> - <xsl:value-of select="//USERLIST/LEGEND/REQUIRED_FIELDS"/>
</td>
<td align="right" width="70%">
<table cellspacing='0' cellpadding='0'>
<tr>
<td>
<xsl:choose>
<xsl:when test="//USERLIST/@MODE='edit'">
<input type="hidden" name="user_form_mode" value="edit"/>
<xsl:call-template name="drawButton">
<xsl:with-param name="onClick">if (checkUserForm(document.forms[0])) {dc(1);document.forms[0].frame_type.value="users";document.forms[0].shop_topic.value="user_list";document.forms[0].update_user.value="1";document.forms[0].edit_user_login.value="<xsl:value-of select="//USERLIST/USER/@LOGIN" />";document.forms[0].submit();} else return false;</xsl:with-param>
<xsl:with-param name="caption" select='//LEGEND/APPLY'/>
</xsl:call-template>
</xsl:when>
<xsl:otherwise>
<input type="hidden" name="user_form_mode" value="add"/>
<xsl:call-template name="drawButton">
<xsl:with-param name="onClick">if (checkUserForm(document.forms[0])) {dc(1);document.forms[0].frame_type.value="users";document.forms[0].shop_topic.value="user_list";document.forms[0].update_user.value="1";document.forms[0].submit();}  else return false;</xsl:with-param>
<xsl:with-param name="caption" select='//LEGEND/APPLY'/>
</xsl:call-template>
</xsl:otherwise>
</xsl:choose>
</td>
    <td height="24px" width="10px">
</td>
<td height="24px" align="left">
<xsl:call-template name="drawButton">
<xsl:with-param name="onClick">dc(1);document.forms[0].shop_topic.value="user_list";document.forms[0].update_user.value="";document.forms[0].submit();</xsl:with-param>
<xsl:with-param name="caption" select='//LEGEND/CANCEL'/>
</xsl:call-template>
</td>
</tr>
</table>
</td>
</tr>
</table>
</td>
</tr>
</table>
</div>
<script type="text/javascript" language="javascript">
	var	iframedoc =	document.getElementById('user_area');
	ResizeShop(iframedoc)
	var	edit_iframedoc = document.getElementById('user_edit_area');
	ResizeUserEdit(edit_iframedoc)
</script>

</xsl:template>

</xsl:stylesheet>