<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:fo="http://www.w3.org/1999/XSL/Format">

<xsl:template match="SHIPPING_STEP_1">
<div class="pageContent"><xsl:value-of select="@CART_NAME"/></div>
<table cellspacing='0' cellpadding='0' width="100%" border="0">
<tbody>
<tr>
<td class="Cart_formfieldcolorfirst" style="width: 60%;">
<xsl:value-of select="@NAME"/>
</td>
<td class="Cart_formfieldcolorfirst" style="width: 15%;" align="right">
<xsl:value-of select="@QUANTITY"/>
</td>
<td class="Cart_formfieldcolorfirst" style="width: 25%;" align="right">
<xsl:value-of select="@PRICE"/>    
</td>
</tr>
<xsl:for-each select="CART_PRODUCT">
<xsl:apply-templates select="." mode="shipping_step_1"/>
</xsl:for-each>
<tr><td colspan="3" align="right" class="pageContent"><b><xsl:value-of select="@TOTAL"/>:&#160;<xsl:value-of select="COST"/></b></td></tr>
</tbody>
</table>
<table width="100%"   class="topborder" border="0">
<tr>
<td class="pageContent">
<xsl:apply-templates select="BOTTOM_NAV"/>
</td>
<td class="shop_button" align="right">
<xsl:for-each select="BUTTON">
<xsl:apply-templates select="."/>
<xsl:if test="position()!=last()">&#160;&#160;</xsl:if>
</xsl:for-each>
</td>
</tr>
</table>
</xsl:template>

<xsl:template match="CART_PRODUCT" mode="shipping_step_1">
<tr>
<xsl:attribute name="class">
<xsl:choose>
<xsl:when test="@NUMBER mod 2 = 0">tr_even</xsl:when>
<xsl:otherwise>tr_odd</xsl:otherwise>
</xsl:choose>
</xsl:attribute>
<td class="pageContent">
<xsl:attribute name="style">
<xsl:choose>
<xsl:when test="@NUMBER mod 2 = 0">color:black; text-align:left;</xsl:when>
<xsl:otherwise>text-align:left;</xsl:otherwise>
</xsl:choose>
</xsl:attribute>
<xsl:value-of select="NAME"/>
</td>
<td class="pageContent" align="right">
<xsl:attribute name="style">
<xsl:choose>
<xsl:when test="@NUMBER mod 2 = 0">color:black;</xsl:when>
</xsl:choose>
</xsl:attribute>
<xsl:value-of select="QUANTITY"/>
</td>
<td  class="pageContent" align="right">
<xsl:attribute name="style">
<xsl:choose>
<xsl:when test="@NUMBER mod 2 = 0">color:black;</xsl:when>
</xsl:choose>
</xsl:attribute>
<xsl:value-of select="PRICE"/>
</td>
</tr>
</xsl:template>

</xsl:stylesheet>