<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">

<xsl:template match="OREDERLIST_T">
<div id="order_area" name="order_area" style="background-color: #ffffff; width: 100%; text-valign:top;">
<xsl:if test="//ORDERLIST/ORDERAMOUNT/@VALUE > 0 or //ORDERLIST/SEARCH">
<table cellspacing='0' cellpadding='0' width="100%">
<tr>
<td width="100%">
<table cellspacing='0' cellpadding='0' width="100%">
<tr valign="top">
<td nowrap="nowrap" width="35%">
<xsl:value-of select="//ORDERLIST/LEGEND/STATUS" />&#160;
<select name="order_search_status" class='modules_formfield' style="width:195px;">
<option value="all"><xsl:value-of select="//ORDERLIST/LEGEND/ANY"/></option>
<option value="0" >
<xsl:if test='//ORDERLIST/SEARCH_STATUS=0'>
<xsl:attribute name="selected">true</xsl:attribute>
</xsl:if>
<xsl:value-of select='//ORDERLIST/LEGEND/SITE_ORDER_STATUS_NEW'/>
</option>
<option value="1" >
<xsl:if test='//ORDERLIST/SEARCH_STATUS=1'>
<xsl:attribute name="selected">true</xsl:attribute>
</xsl:if>
<xsl:value-of select='//ORDERLIST/LEGEND/SITE_ORDER_STATUS_PROCECCED'/>
</option>
<option value="6" >
<xsl:if test='//ORDERLIST/SEARCH_STATUS=6'>
<xsl:attribute name="selected">true</xsl:attribute>
</xsl:if>
<xsl:value-of select='//ORDERLIST/LEGEND/SITE_ORDER_STATUS_PAID'/>
</option>
<option value="3" >
<xsl:if test='//ORDERLIST/SEARCH_STATUS=3'>
<xsl:attribute name="selected">true</xsl:attribute>
</xsl:if>
<xsl:value-of select='//ORDERLIST/LEGEND/SITE_ORDER_STATUS_CANCELLED'/>
</option>
<option value="4" >
<xsl:if test='//ORDERLIST/SEARCH_STATUS=4'>
<xsl:attribute name="selected">true</xsl:attribute>
</xsl:if>
<xsl:value-of select='//ORDERLIST/LEGEND/SITE_ORDER_STATUS_COMPLETED'/>
</option>
<option value="5" >
<xsl:if test='//ORDERLIST/SEARCH_STATUS=5'>
<xsl:attribute name="selected">true</xsl:attribute>
</xsl:if>
<xsl:value-of select='//ORDERLIST/LEGEND/SITE_ORDER_STATUS_FAILED'/>
</option>
</select>
</td>
<td width="10%">&#160;</td>
<td nowrap="nowrap" width="35%" style="padding-left:10px;">
<xsl:value-of select="//ORDERLIST/LEGEND/PERIOD" />&#160;
<select name="order_search_time" class='modules_formfield'  style="width:195px;">
<option value="all"><xsl:value-of select="//ORDERLIST/LEGEND/ANY"/></option>
<option value="last_day">
<xsl:if test='//ORDERLIST/SEARCH_TIME="last_day"'>
<xsl:attribute name="selected">true</xsl:attribute>
</xsl:if>
<xsl:value-of select="//ORDERLIST/LEGEND/LASTDAY"/>
</option>
<option value="last_week">
<xsl:if test='//ORDERLIST/SEARCH_TIME="last_week"'>
<xsl:attribute name="selected">true</xsl:attribute>
</xsl:if>
<xsl:value-of select="//ORDERLIST/LEGEND/LASTWEEK"/>
</option>
<option value="last_month">
<xsl:if test='//ORDERLIST/SEARCH_TIME="last_month"'>
<xsl:attribute name="selected">true</xsl:attribute>
</xsl:if>
<xsl:value-of select="//ORDERLIST/LEGEND/LASTMONTH"/>
</option>
</select>
</td>
<td width="1%" style="padding-left:10px;">
<xsl:call-template name="drawButton">
<xsl:with-param name="caption" select='//LEGEND/SEARCH'/>
<xsl:with-param name="onClick">dc(1);document.forms[0].frame_type.value="orders";document.forms[0].shop_topic.value="order_list";document.forms[0].doSearch.value="1";document.forms[0].submit();</xsl:with-param>
</xsl:call-template>
</td>
<td width="1%"  style="padding-left:10px;">
<xsl:call-template name="drawButton">
<xsl:with-param name="onClick">dc(1);document.forms[0].shop_topic.value="order_list";document.forms[0].doSearch.value="1";document.forms[0].order_search_status.value="all";document.forms[0].order_search_time.value="all";document.forms[0].submit();</xsl:with-param>
<xsl:with-param name="caption" select='//ORDERLIST/LEGEND/SHOWALLORDERS'/>
</xsl:call-template>
</td>
</tr>
</table>
</td>
</tr>
<xsl:if test="//ORDERLIST/SEARCH=1">
<tr><td width="100%" height="10"><img src="{$baseURL}/modules/{$SB_modules}/images/empty.gif" width="1" height="10" border="0"/></td></tr>
<tr><td><span class="strong"><xsl:value-of select="//ORDERLIST/LEGEND/SEARCH_RESULT" />:&#160;</span>
<xsl:if test="//ORDERLIST/ORDERAMOUNT/@VALUE = 0"><xsl:value-of select="//ORDERLIST/LEGEND/NOORDERS" /></xsl:if>
<xsl:if test="//ORDERLIST/TOTAL > 0"><xsl:value-of select="//ORDERLIST/LEGEND/FOUND"/>&#160;<span class="strong"><xsl:value-of select="//ORDERLIST/TOTAL"/></span>&#160;<xsl:value-of select="//ORDERLIST/LEGEND/ITEMS"/></xsl:if>
</td></tr>
</xsl:if>
<tr><td width="100%" height="10"><img src="{$baseURL}/modules/{$SB_modules}/images/empty.gif" width="1" height="10" border="0"/></td></tr>
<xsl:if test="//ORDERLIST/ORDERAMOUNT/@VALUE > 0">
<tr>
<td width="100%">
<table cellspacing='0' cellpadding='0' width="100%" border="0">
<tbody>
<tr>
<td class="Shop_Style_formfieldcolorfirst" style="width: 10%;">
<a>
<xsl:attribute name='onclick'>
dc(1);
document.forms[0].shop_topic.value="order_list";
document.forms[0].order_by.value="order_id";
<xsl:if test="//ORDERLIST/ORDER_BY='order_id'">
<xsl:if test="//ORDERLIST/ORDER_DIRECTION=''">document.forms[0].order_direction.value="desc";</xsl:if>
<xsl:if test="//ORDERLIST/ORDER_DIRECTION='asc'">document.forms[0].order_direction.value="desc";</xsl:if>
<xsl:if test="//ORDERLIST/ORDER_DIRECTION='desc'">document.forms[0].order_direction.value="asc";</xsl:if>
</xsl:if>
document.forms[0].submit();
</xsl:attribute>
<xsl:attribute name="title">
<xsl:if test="//ORDERLIST/ORDER_BY='order_id'">
<xsl:if test="//ORDERLIST/ORDER_DIRECTION='asc'"><xsl:value-of select="//ORDERLIST/LEGEND/SORT_IN_DESCENDING_ORDER"/></xsl:if>
<xsl:if test="//ORDERLIST/ORDER_DIRECTION='desc'"><xsl:value-of select="//ORDERLIST/LEGEND/SORT_IN_ASCENDING_ORDER"/></xsl:if>
</xsl:if>
</xsl:attribute>
<xsl:value-of select="//ORDERLIST/LEGEND/ID"/>
<xsl:if test="//ORDERLIST/ORDER_BY='order_id'">
<xsl:if test="//ORDERLIST/ORDER_DIRECTION='asc'"><img align="texttop" vspace="3" hspace="5" border="0" src="{$baseURL}/modules/{$SB_modules}/images/dlg_sort_down.gif" width="8" height="8"><xsl:attribute name="alt"><xsl:value-of select="//ORDERLIST/LEGEND/SORT_IN_DESCENDING_ORDER"/></xsl:attribute></img></xsl:if>
<xsl:if test="//ORDERLIST/ORDER_DIRECTION='desc'"><img align="texttop" vspace="3" hspace="5" border="0" src="{$baseURL}/modules/{$SB_modules}/images/dlg_sort_up.gif" width="8" height="8"><xsl:attribute name="alt"><xsl:value-of select="//ORDERLIST/LEGEND/SORT_IN_ASCENDING_ORDER"/></xsl:attribute></img></xsl:if>
</xsl:if>
</a>
</td>
<td class="Shop_Style_formfieldcolorfirst" style="width: 25%;">
<a>
<xsl:attribute name='onclick'>
dc(1);
document.forms[0].shop_topic.value="order_list";
document.forms[0].order_by.value="created_date";
<xsl:if test="//ORDERLIST/ORDER_BY='created_date'">
<xsl:if test="//ORDERLIST/ORDER_DIRECTION=''">document.forms[0].order_direction.value="desc";</xsl:if>
<xsl:if test="//ORDERLIST/ORDER_DIRECTION='asc'">document.forms[0].order_direction.value="desc";</xsl:if>
<xsl:if test="//ORDERLIST/ORDER_DIRECTION='desc'">document.forms[0].order_direction.value="asc";</xsl:if>
</xsl:if>
document.forms[0].submit();
</xsl:attribute>
<xsl:attribute name="title">
<xsl:if test="//ORDERLIST/ORDER_BY='created_date'">
<xsl:if test="//ORDERLIST/ORDER_DIRECTION='asc'"><xsl:value-of select="//ORDERLIST/LEGEND/SORT_IN_DESCENDING_ORDER"/></xsl:if>
<xsl:if test="//ORDERLIST/ORDER_DIRECTION='desc'"><xsl:value-of select="//ORDERLIST/LEGEND/SORT_IN_ASCENDING_ORDER"/></xsl:if>
</xsl:if>
</xsl:attribute>
<xsl:value-of select="//ORDERLIST/LEGEND/CREATED"/>
<xsl:if test="//ORDERLIST/ORDER_BY='created_date'">
<xsl:if test="//ORDERLIST/ORDER_DIRECTION='asc'"><img align="texttop" vspace="3" hspace="5" border="0" src="{$baseURL}/modules/{$SB_modules}/images/dlg_sort_down.gif" width="8" height="8"><xsl:attribute name="alt"><xsl:value-of select="//ORDERLIST/LEGEND/SORT_IN_DESCENDING_ORDER"/></xsl:attribute></img></xsl:if>
<xsl:if test="//ORDERLIST/ORDER_DIRECTION='desc'"><img align="texttop" vspace="3" hspace="5" border="0" src="{$baseURL}/modules/{$SB_modules}/images/dlg_sort_up.gif" width="8" height="8"><xsl:attribute name="alt"><xsl:value-of select="//ORDERLIST/LEGEND/SORT_IN_ASCENDING_ORDER"/></xsl:attribute></img></xsl:if>
</xsl:if>
</a>
</td>
<td class="Shop_Style_formfieldcolorfirst" style="width: 30%;">
<a>
<xsl:attribute name='onclick'>
dc(1);
document.forms[0].shop_topic.value="order_list";
document.forms[0].order_by.value="updated_date";
<xsl:if test="//ORDERLIST/ORDER_BY='updated_date'">
<xsl:if test="//ORDERLIST/ORDER_DIRECTION=''">document.forms[0].order_direction.value="desc";</xsl:if>
<xsl:if test="//ORDERLIST/ORDER_DIRECTION='asc'">document.forms[0].order_direction.value="desc";</xsl:if>
<xsl:if test="//ORDERLIST/ORDER_DIRECTION='desc'">document.forms[0].order_direction.value="asc";</xsl:if>
</xsl:if>
document.forms[0].submit();
</xsl:attribute>
<xsl:attribute name="title">
<xsl:if test="//ORDERLIST/ORDER_BY='updated_date'">
<xsl:if test="//ORDERLIST/ORDER_DIRECTION='asc'"><xsl:value-of select="//ORDERLIST/LEGEND/SORT_IN_DESCENDING_ORDER"/></xsl:if>
<xsl:if test="//ORDERLIST/ORDER_DIRECTION='desc'"><xsl:value-of select="//ORDERLIST/LEGEND/SORT_IN_ASCENDING_ORDER"/></xsl:if>
</xsl:if>
</xsl:attribute>
<xsl:value-of select="//ORDERLIST/LEGEND/LAST_UPDATED"/>
<xsl:if test="//ORDERLIST/ORDER_BY='updated_date'">
<xsl:if test="//ORDERLIST/ORDER_DIRECTION='asc'"><img align="texttop" vspace="3" hspace="5" border="0" src="{$baseURL}/modules/{$SB_modules}/images/dlg_sort_down.gif" width="8" height="8"><xsl:attribute name="alt"><xsl:value-of select="//ORDERLIST/LEGEND/SORT_IN_DESCENDING_ORDER"/></xsl:attribute></img></xsl:if>
<xsl:if test="//ORDERLIST/ORDER_DIRECTION='desc'"><img align="texttop" vspace="3" hspace="5" border="0" src="{$baseURL}/modules/{$SB_modules}/images/dlg_sort_up.gif" width="8" height="8"><xsl:attribute name="alt"><xsl:value-of select="//ORDERLIST/LEGEND/SORT_IN_ASCENDING_ORDER"/></xsl:attribute></img></xsl:if>
</xsl:if>
</a>
</td>
<td class="Shop_Style_formfieldcolorfirst" style="width: 25%;">
<a>
<xsl:attribute name='onclick'>
dc(1);
document.forms[0].shop_topic.value="order_list";
document.forms[0].order_by.value="order_status";
<xsl:if test="//ORDERLIST/ORDER_BY='order_status'">
<xsl:if test="//ORDERLIST/ORDER_DIRECTION=''">document.forms[0].order_direction.value="desc";</xsl:if>
<xsl:if test="//ORDERLIST/ORDER_DIRECTION='asc'">document.forms[0].order_direction.value="desc";</xsl:if>
<xsl:if test="//ORDERLIST/ORDER_DIRECTION='desc'">document.forms[0].order_direction.value="asc";</xsl:if>
</xsl:if>
document.forms[0].submit();
</xsl:attribute>
<xsl:attribute name="title">
<xsl:if test="//ORDERLIST/ORDER_BY='order_status'">
<xsl:if test="//ORDERLIST/ORDER_DIRECTION='asc'"><xsl:value-of select="//ORDERLIST/LEGEND/SORT_IN_DESCENDING_ORDER"/></xsl:if>
<xsl:if test="//ORDERLIST/ORDER_DIRECTION='desc'"><xsl:value-of select="//ORDERLIST/LEGEND/SORT_IN_ASCENDING_ORDER"/></xsl:if>
</xsl:if>
</xsl:attribute>
<xsl:value-of select="//ORDERLIST/LEGEND/STATUS"/>
<xsl:if test="//ORDERLIST/ORDER_BY='order_status'">
<xsl:if test="//ORDERLIST/ORDER_DIRECTION='asc'"><img align="texttop" vspace="3" hspace="5" border="0" src="{$baseURL}/modules/{$SB_modules}/images/dlg_sort_down.gif" width="8" height="8"><xsl:attribute name="alt"><xsl:value-of select="//ORDERLIST/LEGEND/SORT_IN_DESCENDING_ORDER"/></xsl:attribute></img></xsl:if>
<xsl:if test="//ORDERLIST/ORDER_DIRECTION='desc'"><img align="texttop" vspace="3" hspace="5" border="0" src="{$baseURL}/modules/{$SB_modules}/images/dlg_sort_up.gif" width="8" height="8"><xsl:attribute name="alt"><xsl:value-of select="//ORDERLIST/LEGEND/SORT_IN_ASCENDING_ORDER"/></xsl:attribute></img></xsl:if>
</xsl:if>
</a>
</td>
<td class="Shop_Style_formfieldcolorfirst" style="width: 15%;padding-right:10px;" align="right" nowrap="true">
<a>
<xsl:attribute name='onclick'>
dc(1);
document.forms[0].shop_topic.value="order_list";
document.forms[0].order_by.value="cost";
<xsl:if test="//ORDERLIST/ORDER_BY='cost'">
<xsl:if test="//ORDERLIST/ORDER_DIRECTION=''">document.forms[0].order_direction.value="desc";</xsl:if>
<xsl:if test="//ORDERLIST/ORDER_DIRECTION='asc'">document.forms[0].order_direction.value="desc";</xsl:if>
<xsl:if test="//ORDERLIST/ORDER_DIRECTION='desc'">document.forms[0].order_direction.value="asc";</xsl:if>
</xsl:if>
document.forms[0].submit();
</xsl:attribute>
<xsl:attribute name="title">
<xsl:if test="//ORDERLIST/ORDER_BY='cost'">
<xsl:if test="//ORDERLIST/ORDER_DIRECTION='asc'"><xsl:value-of select="//ORDERLIST/LEGEND/SORT_IN_DESCENDING_ORDER"/></xsl:if>
<xsl:if test="//ORDERLIST/ORDER_DIRECTION='desc'"><xsl:value-of select="//ORDERLIST/LEGEND/SORT_IN_ASCENDING_ORDER"/></xsl:if>
</xsl:if>
</xsl:attribute>
<xsl:value-of select="//ORDERLIST/LEGEND/COST"/>
<xsl:if test="//ORDERLIST/ORDER_BY='cost'">
<xsl:if test="//ORDERLIST/ORDER_DIRECTION='asc'"><img align="texttop" vspace="3" hspace="5" border="0" src="{$baseURL}/modules/{$SB_modules}/images/dlg_sort_down.gif" width="8" height="8"><xsl:attribute name="alt"><xsl:value-of select="//ORDERLIST/LEGEND/SORT_IN_DESCENDING_ORDER"/></xsl:attribute></img></xsl:if>
<xsl:if test="//ORDERLIST/ORDER_DIRECTION='desc'"><img align="texttop" vspace="3" hspace="5" border="0" src="{$baseURL}/modules/{$SB_modules}/images/dlg_sort_up.gif" width="8" height="8"><xsl:attribute name="alt"><xsl:value-of select="//ORDERLIST/LEGEND/SORT_IN_ASCENDING_ORDER"/></xsl:attribute></img></xsl:if>
</xsl:if>
</a>
</td>
<td class="Shop_Style_formfieldcolorfirst" style="width: 5%;" align="right">
<input type="checkbox" class="SB_Style_checkbox" name="" value="" tabIndex="1" onClick="doSelectOrders(this)" />
</td>
</tr>
<xsl:for-each select="//ORDERLIST/ORDER">
<tr>
<xsl:choose>
<xsl:when test="position() mod 2">
<xsl:attribute name="class">tr_even</xsl:attribute>
</xsl:when>
<xsl:otherwise>
<xsl:attribute name="class">tr_odd</xsl:attribute>
</xsl:otherwise>
</xsl:choose>
<td>
<a href="javascript:void(1)" class="SB_Style_formtitle">
<xsl:attribute name = "onclick">dc(1);document.forms[0].shop_topic.value="order_edit";document.forms[0].edit_order_id.value="<xsl:value-of select='@ID'/>";document.forms[0].submit();return false;</xsl:attribute>
<xsl:value-of select='@SHOP_ORDER_ID'/>
</a>
</td>
<td>
<xsl:value-of select='CREATED'/>
</td>
<td>
<xsl:value-of select='LAST_UPDATED'/>
</td>
<td>
<xsl:choose>
<xsl:when test="STATUSID=0"><span class="red"><xsl:value-of select='STATUS'/></span></xsl:when>
<xsl:when test="STATUSID=6"><span class="green"><xsl:value-of select='STATUS'/></span></xsl:when>
<xsl:otherwise><xsl:value-of select='STATUS'/></xsl:otherwise>
</xsl:choose>
</td>
<td align="right" style="padding-right:10px;" nowrap="true">
<xsl:value-of select='COST'/>
</td>
<td align="right">
<input type="checkbox" id="check_orders" name="check_orders[]" class="SB_Style_checkbox">
<xsl:attribute name='value'><xsl:value-of select='@ID'/></xsl:attribute>
</input>
</td>
</tr>
</xsl:for-each>
</tbody>
</table>
</td>
</tr>
<tr>
<td>
<table border="0" width="100%" cellpadding="0" cellspacing="0" class="buttonTable">
<tr>
<td widht="1%"><xsl:apply-templates select="//ORDERLIST/PAGE-STRIP"/></td>
<td align="right" width="99%">
<table cellpadding="0" cellspacing="0">
<tr>
<td align="left">
<xsl:call-template name="drawButton">
<xsl:with-param name="onClick">deleteOrders();</xsl:with-param>
<xsl:with-param name="caption" select='//ORDERLIST/LEGEND/DELETEORDERS'/>
<xsl:with-param name="style" select='SB_Style_menu_disabled'/>
</xsl:call-template>
</td>
</tr>
</table>
</td>
</tr>
</table>
</td>
</tr>
</xsl:if>
</table>
</xsl:if>
<xsl:if test="//ORDERLIST/ORDERAMOUNT/@VALUE = 0 and string(//ORDERLIST/SEARCH)=''">
<span class="strong"><xsl:value-of select='//ORDERLIST/LEGEND/NOORDERS'/></span>
</xsl:if>
</div>
<script type="text/javascript" language="javascript">
	var	iframedoc =	document.getElementById('order_area');
	ResizeShop(iframedoc)
</script>

</xsl:template>

<xsl:template match="ORDEREDIT_T">
<div id="order_area" name="order_area" style="background-color: #ffffff; width: 100%; overflow:auto;">
<table width="97%" border="0" cellspacing='0' cellpadding='0'>
<tr>
<td>
<table cellspacing='0' cellpadding='0' border='0' width="100%">
<tr>
<td class='modules_design_text' colspan="3"><xsl:value-of select='//ORDERLIST/LEGEND/SITE_SET_STATUS_FOR_THIS_ORDER'/></td></tr>
<tr><td width="100%">
<select name="order_status" class="modules_formfield" style="width:100%" onchange="document.forms[0].sb_changes.value=1;">
<option value="0" >
<xsl:if test='//ORDERLIST/ORDER/STATUS=0'>
<xsl:attribute name="selected">true</xsl:attribute>
</xsl:if>
<xsl:value-of select='//ORDERLIST/LEGEND/SITE_ORDER_STATUS_NEW'/>
</option>
<option value="1" >
<xsl:if test='//ORDERLIST/ORDER/STATUS=1'>
<xsl:attribute name="selected">true</xsl:attribute>
</xsl:if>
<xsl:value-of select='//ORDERLIST/LEGEND/SITE_ORDER_STATUS_PROCECCED'/>
</option>
<option value="6" >
<xsl:if test='//ORDERLIST/ORDER/STATUS=6'>
<xsl:attribute name="selected">true</xsl:attribute>
</xsl:if>
<xsl:value-of select='//ORDERLIST/LEGEND/SITE_ORDER_STATUS_PAID'/>
</option>
<option value="3" >
<xsl:if test='//ORDERLIST/ORDER/STATUS=3'>
<xsl:attribute name="selected">true</xsl:attribute>
</xsl:if>
<xsl:value-of select='//ORDERLIST/LEGEND/SITE_ORDER_STATUS_CANCELLED'/>
</option>
<option value="4" >
<xsl:if test='//ORDERLIST/ORDER/STATUS=4'>
<xsl:attribute name="selected">true</xsl:attribute>
</xsl:if>
<xsl:value-of select='//ORDERLIST/LEGEND/SITE_ORDER_STATUS_COMPLETED'/>
</option>
<option value="5" >
<xsl:if test='//ORDERLIST/ORDER/STATUS=5'>
<xsl:attribute name="selected">true</xsl:attribute>
</xsl:if>
<xsl:value-of select='//ORDERLIST/LEGEND/SITE_ORDER_STATUS_FAILED'/>
</option>
</select>
</td>
<td style="padding-left:10px;" align="right">
<xsl:call-template name="drawButton">
<xsl:with-param name="onClick">dc(1);document.forms[0].shop_topic.value="order_list";document.forms[0].update_order.value='1';document.forms[0].edit_order_id.value='<xsl:value-of select='//ORDERLIST/ORDER/@ID'/>';document.forms[0].submit();</xsl:with-param>
<xsl:with-param name="caption" select='//ORDERLIST/LEGEND/UPDATE'/>
<xsl:with-param name="style" select='SB_Style_menu_disabled'/>
</xsl:call-template>
</td>
<td style="padding-left:10px;" align="right">
<xsl:call-template name="drawButton">
<xsl:with-param name="onClick">dc(1);document.forms[0].shop_topic.value="order_list";document.forms[0].delete_orders.value='1';document.forms[0].delete_order_id.value='<xsl:value-of select='//ORDERLIST/ORDER/@ID'/>';document.forms[0].submit();</xsl:with-param>
<xsl:with-param name="caption" select='//ORDERLIST/LEGEND/DELETE'/>
<xsl:with-param name="style" select='SB_Style_menu_disabled'/>
</xsl:call-template>
</td>
</tr>
</table>
</td>
</tr>
<tr><td width="100%" height="13"><img src="{$baseURL}/modules/{$SB_modules}/images/empty.gif" width="1" height="13" border="0"/></td></tr>
<tr><td width="100%" height="1" bgcolor="#E3E3E3"><img src="{$baseURL}/modules/{$SB_modules}/images/empty.gif" width="1" height="1" border="0"/></td></tr>
<tr><td width="100%" height="8"><img src="{$baseURL}/modules/{$SB_modules}/images/empty.gif" width="1" height="8" border="0"/></td></tr>
<tr>
<td>
<div style="overflow:auto; height: 80px;">
<table width="100%" cellpadding="2" cellspacing="0">
<tr>
<td width="50%" valign="top">
<table cellpadding="0" cellspacing="0">
<tr>
<td>
<span class="strong"><xsl:value-of select='//ORDERLIST/LEGEND/ID'/>: </span>
<xsl:value-of select='//ORDERLIST/ORDER/@SHOP_ORDER_ID'/>
</td>
</tr>
<tr>
<td>
<span class="strong"><xsl:value-of select='//ORDERLIST/LEGEND/CREATED_AT'/>: </span>
<xsl:value-of select='//ORDERLIST/ORDER/CREATED_DATE'/>
</td>
</tr>
<tr>
<td>
<span class="strong"><xsl:value-of select='//ORDERLIST/LEGEND/LAST_UPDATED'/>: </span>
<xsl:value-of select='//ORDERLIST/ORDER/UPDATED_DATE'/>
</td>
</tr>
</table>
</td>
<td  valign="top">
<table cellpadding="0" cellspacing="0">
<tr>
<td>
<span class="strong"><xsl:value-of select='//ORDERLIST/LEGEND/NAME'/>: </span>
<xsl:value-of select='//ORDERLIST/ORDER/FIRST_NAME'/>&#160;<xsl:value-of select='//ORDERLIST/ORDER/LAST_NAME'/>
</td>
</tr>
<tr>
<td>
<span class="strong"><xsl:value-of select='//ORDERLIST/LEGEND/EMAIL'/>: </span>
<xsl:value-of select='//ORDERLIST/ORDER/EMAIL'/>
</td>
</tr>
<tr>
<td>
<span class="strong"><xsl:value-of select='//ORDERLIST/LEGEND/PHONE'/>: </span>
<xsl:value-of select='//ORDERLIST/ORDER/PHONE'/>
</td>
</tr>
<tr>
<td>
<span class="strong"><xsl:value-of select='//ORDERLIST/LEGEND/COMPANY'/>: </span>
<xsl:value-of select='//ORDERLIST/ORDER/COMPANY'/>
</td>
</tr>
<tr>
<td>
<span class="strong"><xsl:value-of select='//ORDERLIST/LEGEND/ADDRESS'/>: </span>
<xsl:value-of select='//ORDERLIST/ORDER/ADDRESS1'/>&#160;
<xsl:value-of select='//ORDERLIST/ORDER/ADDRESS2'/>&#160;
<xsl:value-of select='//ORDERLIST/ORDER/STATE'/>&#160;
<xsl:value-of select='//ORDERLIST/ORDER/COUNTRY'/>&#160;
<xsl:value-of select='//ORDERLIST/ORDER/ZIP'/>
</td>
</tr>
</table>
</td>
</tr>
</table>
</div>
</td>
</tr>
<tr><td width="100%" height="13"><img src="{$baseURL}/modules/{$SB_modules}/images/empty.gif" width="1" height="13" border="0"/></td></tr>
<tr>
<td>
<table cellspacing='0' cellpadding='0' width="100%" border="0">
<tbody>
<tr>
<td  style="width: 40%;" class="Shop_Style_formfieldcolorfirst_not_sorted">
<span class="strong"><xsl:value-of select='//ORDERLIST/LEGEND/NAME'/></span>
</td>
<td  style="width: 30%;" class="Shop_Style_formfieldcolorfirst_not_sorted" align="right">
<span class="strong"><xsl:value-of select='//ORDERLIST/LEGEND/QUANTITY'/></span>    
</td>
<td  style="width: 30%; padding-right: 20px;" class="Shop_Style_formfieldcolorfirst_not_sorted" align="right">
<span class="strong"><xsl:value-of select='//ORDERLIST/LEGEND/PRICE'/></span>    
</td>
</tr>
</tbody>
</table>
<div style="overflow: auto; height: 75px;">
<table cellspacing='0' cellpadding='0' width="100%" border="0">
<tbody>
<xsl:for-each select="//ORDERLIST/CART">
<tr>
<xsl:choose>
<xsl:when test="position() mod 2">
<xsl:attribute name="class">tr_even</xsl:attribute>
</xsl:when>
<xsl:otherwise>
<xsl:attribute name="class">tr_odd</xsl:attribute>
</xsl:otherwise>
</xsl:choose>
<td style="width: 40%;">
<xsl:value-of select='NAME'/>
</td>
<td style="width: 30%;" align="right">
<xsl:value-of select='QUANTITY'/>
</td>
<td style="width: 30%;" align="right">
<xsl:value-of select='PRICE'/>
</td>
</tr>
</xsl:for-each>
</tbody>
</table>
</div>
<table cellspacing='0' cellpadding='0' width="100%" border="0">
<tbody>
<tr><td colspan="3" align="right" ><b><xsl:value-of select='//ORDERLIST/LEGEND/TOTAL'/>:&#160;<xsl:value-of select='//ORDERLIST/CARTTOTAL/@VALUE'/></b></td></tr>
</tbody>
</table>
</td>
</tr>
<tr>
<td width="100%">
<xsl:call-template name="drawButton">
<xsl:with-param name="onClick">dc(1);document.forms[0].shop_topic.value="order_list";document.forms[0].submit();</xsl:with-param>
<xsl:with-param name="caption" select='//ORDERLIST/LEGEND/BACKTOLIST'/>
<xsl:with-param name="style" select='SB_Style_menu_disabled'/>
</xsl:call-template>
</td>
</tr>
</table>
</div>
<script type="text/javascript" language="javascript">
	var	iframedoc =	document.getElementById('order_area');
	ResizeShop(iframedoc)
</script>

</xsl:template>

</xsl:stylesheet>