<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">

<xsl:template match="SETTINGS_T">
<div id="shop_edit_area" name="shop_edit_area" style="height:300px; background-color: #ffffff; width: 100%; overflow: auto; ">
<table cellspacing='0' cellpadding='0' width="100%" border="0">
<tr>
<td>
<table cellspacing='0' cellpadding='0' width="100%">

<tr>
<td valign="top" width="70%">
<table width='100%' cellspacing='0' cellpadding='0' border='0'>
<tr>
<td  class='modules_design_text'><xsl:value-of select="//SETTINGS/LEGEND/FROM_EMAIL_ADDRESS"/>:</td></tr>
<tr><td>
<input type="text" name="setting[from_email]" class='modules_formfield' onchange="document.forms[0].sb_changes.value=1;">
<xsl:attribute name="value"><xsl:value-of select="//SETTINGS/FROM_EMAIL_ADDRESS"/></xsl:attribute>
</input>
</td>
</tr>
</table>
</td>
<td valign='middle' style="padding-left: 10px;padding-top:8px;height:95%"><img border="0" src='{$baseURL}/skins/{$sb_skin}/images/blue.gif' width='5' style="height:100%"/></td>
<td class="modules_genpages" style="padding-left: 10px;padding-top:8px;" valign="top">
<xsl:value-of select="//SETTINGS/LEGEND/FROM_EMAIL_ADDRESS_DESCR"/>
</td>
</tr>

<tr>
<td valign="top">
<table width='100%' cellspacing='0' cellpadding='0' border='0'>
<tr><td class='modules_design_text'><xsl:value-of select="//SETTINGS/LEGEND/SIGN_UP_EMAIL_SUBJECT"/>:</td></tr>
<tr><td>
<input type="text" name="setting[sign_up_email_subject]" class='modules_formfield' onchange="document.forms[0].sb_changes.value=1;">
<xsl:attribute name="value"><xsl:value-of select="//SETTINGS/SIGN_UP_EMAIL_SUBJECT"/></xsl:attribute>
</input>
</td>
</tr>
</table>
</td>
<td valign='middle' style="padding-left: 10px;padding-top:8px;height:95%"><img border="0" src='{$baseURL}/skins/{$sb_skin}/images/blue.gif' width='5' style="height:100%"/></td>
<td class="modules_genpages" style="padding-left: 10px;padding-top:8px;" valign="top">
<xsl:value-of select="//SETTINGS/LEGEND/SIGN_UP_EMAIL_SUBJECT_DESCR"/>
</td>
</tr>

<tr>
<td valign="top">
<table width='100%' cellspacing='0' cellpadding='0' border='0'>
<tr><td class='modules_design_text'><xsl:value-of select="//SETTINGS/LEGEND/SIGN_UP_EMAIL_MESSAGE"/>:</td></tr>
<tr><td>
<textarea name="setting[sign_up_email_message]" rows="3" class='modules_formfield' onchange="document.forms[0].sb_changes.value=1;">
<xsl:value-of select="//SETTINGS/SIGN_UP_EMAIL_MESSAGE"/>
</textarea>
</td>
</tr>
</table>
</td>
<td valign='middle' style="padding-left: 10px;padding-top:8px;height:95%"><img border="0" src='{$baseURL}/skins/{$sb_skin}/images/blue.gif' width='5' style="height:100%"/></td>
<td class="modules_genpages" style="padding-left: 10px;padding-top:8px;" valign="top">
<xsl:value-of select="//SETTINGS/LEGEND/SIGN_UP_EMAIL_MESSAGE_DESCR"/>
</td>
</tr>

<tr>
<td valign="top">
<table width='100%' cellspacing='0' cellpadding='0' border='0'>
<tr><td class='modules_design_text'><xsl:value-of select="//SETTINGS/LEGEND/FORGET_PASSWORD_EMAIL_SUBJECT"/>:</td></tr>
<tr><td>
<input type="text" name="setting[forget_password_email_subject]" class='modules_formfield' onchange="document.forms[0].sb_changes.value=1;">
<xsl:attribute name="value"><xsl:value-of select="//SETTINGS/FORGET_PASSWORD_EMAIL_SUBJECT"/></xsl:attribute>
</input>
</td>
</tr>
</table>
</td>
<td valign='middle' style="padding-left: 10px;padding-top:8px;height:95%"><img border="0" src='{$baseURL}/skins/{$sb_skin}/images/blue.gif' width='5' style="height:100%"/></td>
<td class="modules_genpages" style="padding-left: 10px;padding-top:8px;" valign="top">
<xsl:value-of select="//SETTINGS/LEGEND/FORGET_PASSWORD_EMAIL_SUBJECT_DESCR"/>
</td>
</tr>

<tr>
<td valign="top">
<table width='100%' cellspacing='0' cellpadding='0' border='0'>
<tr><td class='modules_design_text'><xsl:value-of select="//SETTINGS/LEGEND/FORGET_PASSWORD_EMAIL_MESSAGE"/>:</td></tr>
<tr><td><textarea name="setting[forget_password_email_message]" rows="2" class='modules_formfield' onchange="document.forms[0].sb_changes.value=1;">
<xsl:value-of select="//SETTINGS/FORGET_PASSWORD_EMAIL_MESSAGE"/>
</textarea>
</td>
</tr>
</table>
</td>
<td valign='middle' style="padding-left: 10px;padding-top:8px;height:95%"><img border="0" src='{$baseURL}/skins/{$sb_skin}/images/blue.gif' width='5' style="height:100%"/></td>
<td class="modules_genpages" style="padding-left: 10px;padding-top:8px;" valign="top">
<xsl:value-of select="//SETTINGS/LEGEND/FORGET_PASSWORD_EMAIL_MESSAGE_DESCR"/>
</td>
</tr>

<tr>
<td valign="top">
<table width='100%' cellspacing='0' cellpadding='0' border='0'>
<tr><td class='modules_design_text'><xsl:value-of select="//SETTINGS/LEGEND/ORDER_EMAIL_SUBJECT"/>:</td></tr>
<tr><td>
<input type="text" name="setting[order_email_subject]" class='modules_formfield' onchange="document.forms[0].sb_changes.value=1;">
<xsl:attribute name="value"><xsl:value-of select="//SETTINGS/ORDER_EMAIL_SUBJECT"/></xsl:attribute>
</input>
</td>
</tr>
</table>
</td>
<td valign='middle' style="padding-left: 10px;padding-top:8px;height:95%"><img border="0" src='{$baseURL}/skins/{$sb_skin}/images/blue.gif' width='5' style="height:100%"/></td>
<td class="modules_genpages" style="padding-left: 10px;padding-top:8px;" valign="top">
<xsl:value-of select="//SETTINGS/LEGEND/ORDER_EMAIL_SUBJECT_DESCR"/>
</td>
</tr>

<tr>
<td valign="top">
<table width='100%' cellspacing='0' cellpadding='0' border='0'>
<tr><td class='modules_design_text'><xsl:value-of select="//SETTINGS/LEGEND/ORDER_EMAIL_MESSAGE"/>:</td></tr>
<tr><td>
<textarea name="setting[order_email_message]" rows="3" class='modules_formfield' onchange="document.forms[0].sb_changes.value=1;">
<xsl:value-of select="//SETTINGS/ORDER_EMAIL_MESSAGE"/>
</textarea>
</td>
</tr>
</table>
</td>
<td valign='middle' style="padding-left: 10px;padding-top:8px;height:95%"><img border="0" src='{$baseURL}/skins/{$sb_skin}/images/blue.gif' width='5' style="height:100%"/></td>
<td class="modules_genpages" style="padding-left: 10px;padding-top:8px;" valign="top">
<xsl:value-of select="//SETTINGS/LEGEND/ORDER_EMAIL_MESSAGE_DESCR"/>
</td>
</tr>

</table>
</td>
</tr>
</table>
</div>
<script type="text/javascript" language="javascript">
	var	iframedoc =	document.getElementById('shop_edit_area');
	ResizeShop(iframedoc)
</script>

</xsl:template>
</xsl:stylesheet>